GNU bug report logs - #55045
[PATCH] update neovim to 0.7.0

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Luis Henrique Gomes Higino <luishenriquegh2701@HIDDEN>; Keywords: patch; merged with #54981, #54982, #54983, #54984; Done: Ludovic Courtès <ludo@HIDDEN>; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 55045-done <at> debbugs.gnu.org:


Received: (at 55045-done) by debbugs.gnu.org; 18 May 2022 18:12:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 18 14:12:27 2022
Received: from localhost ([127.0.0.1]:33478 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nrO9r-0006Hx-A0
	for submit <at> debbugs.gnu.org; Wed, 18 May 2022 14:12:27 -0400
Received: from eggs.gnu.org ([209.51.188.92]:51468)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1nrO9g-0006H0-Cn
 for 55045-done <at> debbugs.gnu.org; Wed, 18 May 2022 14:12:16 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:36374)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1nrO9a-00056r-1j; Wed, 18 May 2022 14:12:10 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=W2yMQUIF9l3VzALUZG0MD0OH8UgsVrsksoYzBVTZ5vg=; b=WIAfTImuO/8SVvGGZ53s
 LIxrVqlYYg9J6p58BqEiooFt9p/xoSxIldWxY5+4nivU6Uu6WUXxdIvSJ+3p1jJ5YfemFCJIeqPrB
 qZSA7pp9gUFrupGy7EcO5WIiKv1PFeBhN6javSp/3gqWZzk85G7tG7QfA3J4Ado3XrH3fkULawVtI
 t7zI1HIwKjERMwKgVEQXE+HEp1wLJ6KtI2m97D989j+Jx1+/YxQnzxH3//jM6NkWyl41CHASlVi9w
 5OiUYLX1jdrqSoROtJh78Op2sc172mQ5B3b4Bg/mZbp7jV699AsslXu+oMjnQCIqpUYFaYplI0pEM
 9Y6mm448ybR+mQ==;
Received: from 91-160-117-201.subs.proxad.net ([91.160.117.201]:50369
 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1nrO9W-0002x9-99; Wed, 18 May 2022 14:12:09 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Luis Henrique Gomes Higino <luishenriquegh2701@HIDDEN>
Subject: Re: bug#55045: [PATCH] update neovim to 0.7.0
References: <87mtgf63xj.fsf@HIDDEN>
 <20220518133225.30983-1-luishenriquegh2701@HIDDEN>
Date: Wed, 18 May 2022 20:12:03 +0200
In-Reply-To: <20220518133225.30983-1-luishenriquegh2701@HIDDEN> (Luis
 Henrique Gomes Higino's message of "Wed, 18 May 2022 10:32:22 -0300")
Message-ID: <87tu9m1zik.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55045-done
Cc: 55045-done <at> debbugs.gnu.org, Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hello,

I applied v3 of all four patches.  Thanks, and thanks to Maxime for
reviewing!

Ludo=E2=80=99.




Notification sent to guix-patches@HIDDEN:
bug acknowledged by developer. Full text available.
Reply sent to Ludovic Courtès <ludo@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 55045-done <at> debbugs.gnu.org:


Received: (at 55045-done) by debbugs.gnu.org; 18 May 2022 18:12:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 18 14:12:27 2022
Received: from localhost ([127.0.0.1]:33478 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nrO9r-0006Hx-A0
	for submit <at> debbugs.gnu.org; Wed, 18 May 2022 14:12:27 -0400
Received: from eggs.gnu.org ([209.51.188.92]:51468)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1nrO9g-0006H0-Cn
 for 55045-done <at> debbugs.gnu.org; Wed, 18 May 2022 14:12:16 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:36374)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1nrO9a-00056r-1j; Wed, 18 May 2022 14:12:10 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=W2yMQUIF9l3VzALUZG0MD0OH8UgsVrsksoYzBVTZ5vg=; b=WIAfTImuO/8SVvGGZ53s
 LIxrVqlYYg9J6p58BqEiooFt9p/xoSxIldWxY5+4nivU6Uu6WUXxdIvSJ+3p1jJ5YfemFCJIeqPrB
 qZSA7pp9gUFrupGy7EcO5WIiKv1PFeBhN6javSp/3gqWZzk85G7tG7QfA3J4Ado3XrH3fkULawVtI
 t7zI1HIwKjERMwKgVEQXE+HEp1wLJ6KtI2m97D989j+Jx1+/YxQnzxH3//jM6NkWyl41CHASlVi9w
 5OiUYLX1jdrqSoROtJh78Op2sc172mQ5B3b4Bg/mZbp7jV699AsslXu+oMjnQCIqpUYFaYplI0pEM
 9Y6mm448ybR+mQ==;
Received: from 91-160-117-201.subs.proxad.net ([91.160.117.201]:50369
 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1nrO9W-0002x9-99; Wed, 18 May 2022 14:12:09 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Luis Henrique Gomes Higino <luishenriquegh2701@HIDDEN>
Subject: Re: bug#55045: [PATCH] update neovim to 0.7.0
References: <87mtgf63xj.fsf@HIDDEN>
 <20220518133225.30983-1-luishenriquegh2701@HIDDEN>
Date: Wed, 18 May 2022 20:12:03 +0200
In-Reply-To: <20220518133225.30983-1-luishenriquegh2701@HIDDEN> (Luis
 Henrique Gomes Higino's message of "Wed, 18 May 2022 10:32:22 -0300")
Message-ID: <87tu9m1zik.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55045-done
Cc: 55045-done <at> debbugs.gnu.org, Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hello,

I applied v3 of all four patches.  Thanks, and thanks to Maxime for
reviewing!

Ludo=E2=80=99.




Notification sent to guix-patches@HIDDEN:
bug acknowledged by developer. Full text available.
Reply sent to Ludovic Courtès <ludo@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 55045-done <at> debbugs.gnu.org:


Received: (at 55045-done) by debbugs.gnu.org; 18 May 2022 18:12:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 18 14:12:27 2022
Received: from localhost ([127.0.0.1]:33478 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nrO9r-0006Hx-A0
	for submit <at> debbugs.gnu.org; Wed, 18 May 2022 14:12:27 -0400
Received: from eggs.gnu.org ([209.51.188.92]:51468)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1nrO9g-0006H0-Cn
 for 55045-done <at> debbugs.gnu.org; Wed, 18 May 2022 14:12:16 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:36374)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1nrO9a-00056r-1j; Wed, 18 May 2022 14:12:10 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=W2yMQUIF9l3VzALUZG0MD0OH8UgsVrsksoYzBVTZ5vg=; b=WIAfTImuO/8SVvGGZ53s
 LIxrVqlYYg9J6p58BqEiooFt9p/xoSxIldWxY5+4nivU6Uu6WUXxdIvSJ+3p1jJ5YfemFCJIeqPrB
 qZSA7pp9gUFrupGy7EcO5WIiKv1PFeBhN6javSp/3gqWZzk85G7tG7QfA3J4Ado3XrH3fkULawVtI
 t7zI1HIwKjERMwKgVEQXE+HEp1wLJ6KtI2m97D989j+Jx1+/YxQnzxH3//jM6NkWyl41CHASlVi9w
 5OiUYLX1jdrqSoROtJh78Op2sc172mQ5B3b4Bg/mZbp7jV699AsslXu+oMjnQCIqpUYFaYplI0pEM
 9Y6mm448ybR+mQ==;
Received: from 91-160-117-201.subs.proxad.net ([91.160.117.201]:50369
 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1nrO9W-0002x9-99; Wed, 18 May 2022 14:12:09 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Luis Henrique Gomes Higino <luishenriquegh2701@HIDDEN>
Subject: Re: bug#55045: [PATCH] update neovim to 0.7.0
References: <87mtgf63xj.fsf@HIDDEN>
 <20220518133225.30983-1-luishenriquegh2701@HIDDEN>
Date: Wed, 18 May 2022 20:12:03 +0200
In-Reply-To: <20220518133225.30983-1-luishenriquegh2701@HIDDEN> (Luis
 Henrique Gomes Higino's message of "Wed, 18 May 2022 10:32:22 -0300")
Message-ID: <87tu9m1zik.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55045-done
Cc: 55045-done <at> debbugs.gnu.org, Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hello,

I applied v3 of all four patches.  Thanks, and thanks to Maxime for
reviewing!

Ludo=E2=80=99.




Notification sent to guix-patches@HIDDEN:
bug acknowledged by developer. Full text available.
Reply sent to Ludovic Courtès <ludo@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 55045-done <at> debbugs.gnu.org:


Received: (at 55045-done) by debbugs.gnu.org; 18 May 2022 18:12:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 18 14:12:27 2022
Received: from localhost ([127.0.0.1]:33478 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nrO9r-0006Hx-A0
	for submit <at> debbugs.gnu.org; Wed, 18 May 2022 14:12:27 -0400
Received: from eggs.gnu.org ([209.51.188.92]:51468)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1nrO9g-0006H0-Cn
 for 55045-done <at> debbugs.gnu.org; Wed, 18 May 2022 14:12:16 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:36374)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1nrO9a-00056r-1j; Wed, 18 May 2022 14:12:10 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=W2yMQUIF9l3VzALUZG0MD0OH8UgsVrsksoYzBVTZ5vg=; b=WIAfTImuO/8SVvGGZ53s
 LIxrVqlYYg9J6p58BqEiooFt9p/xoSxIldWxY5+4nivU6Uu6WUXxdIvSJ+3p1jJ5YfemFCJIeqPrB
 qZSA7pp9gUFrupGy7EcO5WIiKv1PFeBhN6javSp/3gqWZzk85G7tG7QfA3J4Ado3XrH3fkULawVtI
 t7zI1HIwKjERMwKgVEQXE+HEp1wLJ6KtI2m97D989j+Jx1+/YxQnzxH3//jM6NkWyl41CHASlVi9w
 5OiUYLX1jdrqSoROtJh78Op2sc172mQ5B3b4Bg/mZbp7jV699AsslXu+oMjnQCIqpUYFaYplI0pEM
 9Y6mm448ybR+mQ==;
Received: from 91-160-117-201.subs.proxad.net ([91.160.117.201]:50369
 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1nrO9W-0002x9-99; Wed, 18 May 2022 14:12:09 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Luis Henrique Gomes Higino <luishenriquegh2701@HIDDEN>
Subject: Re: bug#55045: [PATCH] update neovim to 0.7.0
References: <87mtgf63xj.fsf@HIDDEN>
 <20220518133225.30983-1-luishenriquegh2701@HIDDEN>
Date: Wed, 18 May 2022 20:12:03 +0200
In-Reply-To: <20220518133225.30983-1-luishenriquegh2701@HIDDEN> (Luis
 Henrique Gomes Higino's message of "Wed, 18 May 2022 10:32:22 -0300")
Message-ID: <87tu9m1zik.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55045-done
Cc: 55045-done <at> debbugs.gnu.org, Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hello,

I applied v3 of all four patches.  Thanks, and thanks to Maxime for
reviewing!

Ludo=E2=80=99.




Notification sent to guix-patches@HIDDEN:
bug acknowledged by developer. Full text available.
Reply sent to Ludovic Courtès <ludo@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 55045-done <at> debbugs.gnu.org:


Received: (at 55045-done) by debbugs.gnu.org; 18 May 2022 18:12:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 18 14:12:27 2022
Received: from localhost ([127.0.0.1]:33478 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nrO9r-0006Hx-A0
	for submit <at> debbugs.gnu.org; Wed, 18 May 2022 14:12:27 -0400
Received: from eggs.gnu.org ([209.51.188.92]:51468)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1nrO9g-0006H0-Cn
 for 55045-done <at> debbugs.gnu.org; Wed, 18 May 2022 14:12:16 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:36374)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1nrO9a-00056r-1j; Wed, 18 May 2022 14:12:10 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=W2yMQUIF9l3VzALUZG0MD0OH8UgsVrsksoYzBVTZ5vg=; b=WIAfTImuO/8SVvGGZ53s
 LIxrVqlYYg9J6p58BqEiooFt9p/xoSxIldWxY5+4nivU6Uu6WUXxdIvSJ+3p1jJ5YfemFCJIeqPrB
 qZSA7pp9gUFrupGy7EcO5WIiKv1PFeBhN6javSp/3gqWZzk85G7tG7QfA3J4Ado3XrH3fkULawVtI
 t7zI1HIwKjERMwKgVEQXE+HEp1wLJ6KtI2m97D989j+Jx1+/YxQnzxH3//jM6NkWyl41CHASlVi9w
 5OiUYLX1jdrqSoROtJh78Op2sc172mQ5B3b4Bg/mZbp7jV699AsslXu+oMjnQCIqpUYFaYplI0pEM
 9Y6mm448ybR+mQ==;
Received: from 91-160-117-201.subs.proxad.net ([91.160.117.201]:50369
 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1nrO9W-0002x9-99; Wed, 18 May 2022 14:12:09 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Luis Henrique Gomes Higino <luishenriquegh2701@HIDDEN>
Subject: Re: bug#55045: [PATCH] update neovim to 0.7.0
References: <87mtgf63xj.fsf@HIDDEN>
 <20220518133225.30983-1-luishenriquegh2701@HIDDEN>
Date: Wed, 18 May 2022 20:12:03 +0200
In-Reply-To: <20220518133225.30983-1-luishenriquegh2701@HIDDEN> (Luis
 Henrique Gomes Higino's message of "Wed, 18 May 2022 10:32:22 -0300")
Message-ID: <87tu9m1zik.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55045-done
Cc: 55045-done <at> debbugs.gnu.org, Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hello,

I applied v3 of all four patches.  Thanks, and thanks to Maxime for
reviewing!

Ludo=E2=80=99.




Notification sent to Luis Henrique Gomes Higino <luishenriquegh2701@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Ludovic Courtès <ludo@HIDDEN>:
You have taken responsibility. Full text available.
Merged 54981 54982 54983 54984 55045. Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 55045 <at> debbugs.gnu.org:


Received: (at 55045) by debbugs.gnu.org; 18 May 2022 13:40:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 18 09:40:55 2022
Received: from localhost ([127.0.0.1]:59515 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nrJv5-0006m7-2q
	for submit <at> debbugs.gnu.org; Wed, 18 May 2022 09:40:55 -0400
Received: from mail-oa1-f48.google.com ([209.85.160.48]:43774)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luishenriquegh2701@HIDDEN>) id 1nrJv3-0006lt-HA
 for 55045 <at> debbugs.gnu.org; Wed, 18 May 2022 09:40:53 -0400
Received: by mail-oa1-f48.google.com with SMTP id
 586e51a60fabf-f1d2ea701dso2654174fac.10
 for <55045 <at> debbugs.gnu.org>; Wed, 18 May 2022 06:40:53 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=user-agent:from:to:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=LbgLDZYBsoZ8dA4UfBK4CVdTxlab7nTsoXbWWbeP9Hc=;
 b=bjCwpxIoI0HhCOpvCNHM9MwvRU1ZdbYAI3cnXQj3GsRr3Hu+cuM4OGfKBErGkOVvxB
 5zNRxPX4STVpjZafmMbaXx+rbwLSqJ50BWPjMp1SDwLD8nECY9BlHgOMgGThmY2THY/S
 NEBY27+jeSirS2b7r4W6XqeBDrejI8LBPjSLtvmyKZhOgqyoc6Uvs0Xv2DyJmVGWRJKn
 oUBatFUbMwBTP5Doej45fXkUApNzZBg5XslLqBtMqPvreuwe6iM5O5Xy7eFu+p/RBQt6
 8h1Os71DFx7zrnY5yZlO+ionizSAyYS6d82ycjfpfyBQLB+13SiZrqMYigKMC9f2cqtW
 B3iA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:user-agent:from:to:subject:date:message-id
 :mime-version:content-transfer-encoding;
 bh=LbgLDZYBsoZ8dA4UfBK4CVdTxlab7nTsoXbWWbeP9Hc=;
 b=xOyyswXFY+OBUquHBUVkxrdak6ItQYFccl8knBF5P5k9PPwejvGYIRBzuqKCI7kGM9
 XU6ZTAukrEy3fCi9leokj9PVzF1ZlQwIU5D1TdAEIYpuWHBJ8wj78JxRDIMx3f0b2gZW
 zDKFy01czhKJETF5oy9BjdwWlz6hXlino7ofx9SMIgSHp0H3Jhs5K9zJhxwvgA1Y/Xd1
 X49si47ghXlSQB8u8gDKNoHFYxv0WUGOFUbbplyrosZKVhRqawyZOrbYa4MdGOqHibAm
 a4kZAEc2EeK+dHlsghchnwY6PIcrrR7lYtZqWxuGo1jnrN3BFmv1beETfS8HEZ5IKjk+
 ActQ==
X-Gm-Message-State: AOAM530dF3787Dwf8Kla1jc1nMa8g0d9FVYH8EwzSPkWmjz9CVWjGF2Z
 OzNouj+F3iUCMjqx1FASIqfwYVDsBP9d52EN
X-Google-Smtp-Source: ABdhPJzIdgK8ZGbcUZTBQJv/U4Th94hKaye1mKxzSENim6wq/qw3DTZ+YtIXEqUeP4n7bmPshNQEKQ==
X-Received: by 2002:a05:6870:434d:b0:ed:5822:c104 with SMTP id
 x13-20020a056870434d00b000ed5822c104mr14328oah.236.1652881247024; 
 Wed, 18 May 2022 06:40:47 -0700 (PDT)
Received: from LenovoGuix ([179.180.243.123]) by smtp.gmail.com with ESMTPSA id
 m16-20020a056870a11000b000f1c860f6c4sm890712oae.48.2022.05.18.06.40.45
 for <55045 <at> debbugs.gnu.org>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 18 May 2022 06:40:46 -0700 (PDT)
User-agent: mu4e 1.6.10; emacs 27.2
From: Luis Henrique Gomes Higino <luishenriquegh2701@HIDDEN>
To: 55045 <at> debbugs.gnu.org
Subject: About trailing #t
Date: Wed, 18 May 2022 10:35:26 -0300
Message-ID: <87r14rvu04.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 55045
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

Hi guix,

I have seen recently some commits removing the trailing #t from=20
build phases. Is that supposed to be how build phases are written=20
from now on? If so, I'll be rewritting these patches accordingly=20
(maybe I should've asked this before sending the v3 series =F0=9F=A4=A6).

Regards,
--=20
Luis H. Higino




Information forwarded to guix-patches@HIDDEN:
bug#55045; Package guix-patches. Full text available.

Message received at 55045 <at> debbugs.gnu.org:


Received: (at 55045) by debbugs.gnu.org; 18 May 2022 13:33:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 18 09:33:01 2022
Received: from localhost ([127.0.0.1]:59465 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nrJnN-0006Wy-JB
	for submit <at> debbugs.gnu.org; Wed, 18 May 2022 09:33:01 -0400
Received: from mail-ot1-f49.google.com ([209.85.210.49]:45877)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luishenriquegh2701@HIDDEN>) id 1nrJnL-0006WF-0P
 for 55045 <at> debbugs.gnu.org; Wed, 18 May 2022 09:32:56 -0400
Received: by mail-ot1-f49.google.com with SMTP id
 s18-20020a056830149200b006063fef3e17so1312935otq.12
 for <55045 <at> debbugs.gnu.org>; Wed, 18 May 2022 06:32:54 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=Qp66y2qbJJTelQmmAd7lAFjWYsFqKUoWjBKYJF7im/Q=;
 b=oloA2tTjG7RVL19c1/2/vHaEPjnsJuYyQKVYN1tKUVTZDMAXdYaLvof66TyuVtLY+g
 8MIujQXTa/LdRKQpiueopMgUH+vRfiVbZWeyWZzD++sZlGdv3bRiNSWHRv8igPJE0D46
 W1t4HUIxTvzs0OZgU24H4q4F5oLqH4tZvcoZQ0fKNi7976NMWYQKQkRlEo247jV1fbkk
 xm7ViBUR7KRav5gwm7BicsEdXxE9vx4DvP75q4EY7Ny8H42SsuCaH8RtWYUKWr97Q5l+
 NM2fTrXGa/kAdX5hj2KI9X5fNg7Xz4Id/PJ78UCJl5EsFZQNoExy0plQUkXU/oBukw0K
 sooA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=Qp66y2qbJJTelQmmAd7lAFjWYsFqKUoWjBKYJF7im/Q=;
 b=rOFJmZFwf3Kr8ZzCPU+nBYokE6kqD1lbaZ0Ua323Fij0CWNsHa/foUPmcr6M4iGJQd
 vXFpRMhsow0fwJL9koJ2qcOQPUAqLz03zToDYQVQRA8q3U0I2e7gkhdEjuUptuRB7a3e
 RoLlRgUOYvBpCSRyPwMs4xnevbOYcoCpOlPRbol6c3MAwvwU927MXNv8qzWG0yKg0Emk
 LYf4B2+lSUhaA2NGdUkYDEjRUe98tHvQRc7BC5xZ24dxPttpKva2SQUiMYkmdqLkb0ej
 bwtC/tu8QDBuBEq7nkTzi/h/Ie4lvLhHfVDUMQOqCPSpNWIaLzqm0gOT7DrgxNejfnYs
 sMSA==
X-Gm-Message-State: AOAM5318ylNk7b4XnJxM3RJFcp+A4RbuidzBuY8Zq/Tf2XLkEFeInufp
 GjSEX0/s3GupbndAPJrX8bq55pQlu6VpGK1l
X-Google-Smtp-Source: ABdhPJw3X2V6Xn8+RgySqFmDbluCaXR1fIj/6Bj3uichh3AHpeRYfrUcJwftIJ/xTCmx5tQlxlEdEw==
X-Received: by 2002:a9d:73d9:0:b0:606:21c9:a283 with SMTP id
 m25-20020a9d73d9000000b0060621c9a283mr9934484otk.321.1652880769001; 
 Wed, 18 May 2022 06:32:49 -0700 (PDT)
Received: from localhost.localdomain ([179.180.243.123])
 by smtp.gmail.com with ESMTPSA id
 b3-20020a4aac83000000b0035ec65ac944sm967600oon.16.2022.05.18.06.32.47
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 18 May 2022 06:32:48 -0700 (PDT)
From: Luis Henrique Gomes Higino <luishenriquegh2701@HIDDEN>
To: 55045 <at> debbugs.gnu.org
Subject: [PATCH v3 4/4] gnu: neovim: Use new style.
Date: Wed, 18 May 2022 10:32:25 -0300
Message-Id: <20220518133225.30983-4-luishenriquegh2701@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220518133225.30983-1-luishenriquegh2701@HIDDEN>
References: <20220518133225.30983-1-luishenriquegh2701@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 55045
Cc: Luis Henrique Gomes Higino <luishenriquegh2701@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

* gnu/packages/vim.scm (neovim): Use new style.
[source]: Rewrite using gexps.
[arguments]: Rewrite using gexps.
[inputs and native-inputs]: Remove input labels.
[description]: Run `guix style`.
---
 gnu/packages/vim.scm | 156 ++++++++++++++++++++++---------------------
 1 file changed, 81 insertions(+), 75 deletions(-)

diff --git a/gnu/packages/vim.scm b/gnu/packages/vim.scm
index 21a22570ad..caf9ea85b3 100644
--- a/gnu/packages/vim.scm
+++ b/gnu/packages/vim.scm
@@ -659,84 +659,89 @@ (define-public neovim
   (package
     (name "neovim")
     (version "0.7.0")
-    (source
-     (origin
-       (method git-fetch)
-       (uri (git-reference
-             (url "https://github.com/neovim/neovim")
-             (commit (string-append "v" version))))
-       (file-name (git-file-name name version))
-       (sha256
-        (base32 "1m7xmry66pn27gvk7qj9di83xa1h7zjp4c6ygnf218pqhr08x06g"))))
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/neovim/neovim")
+                    (commit (string-append "v" version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "1m7xmry66pn27gvk7qj9di83xa1h7zjp4c6ygnf218pqhr08x06g"))))
     (build-system cmake-build-system)
     (arguments
-     `(#:modules ((srfi srfi-26)
-                  (guix build cmake-build-system)
-                  (guix build utils))
-       #:configure-flags
-       (list ,@(if (member (if (%current-target-system)
-                               (gnu-triplet->nix-system (%current-target-system))
-                               (%current-system))
-                           (package-supported-systems luajit))
-                   '()
-                   '("-DPREFER_LUA:BOOL=YES")))
-       #:phases
-       (modify-phases %standard-phases
-         (add-after 'unpack 'set-lua-paths
-           (lambda* (#:key inputs #:allow-other-keys)
-             (let* ((lua-version "5.1")
-                    (lua-cpath-spec
-                     (lambda (prefix)
-                       (let ((path (string-append prefix "/lib/lua/" lua-version)))
-                         (string-append path "/?.so;" path "/?/?.so"))))
-                    (lua-path-spec
-                     (lambda (prefix)
-                       (let ((path (string-append prefix "/share/lua/" lua-version)))
-                         (string-append path "/?.lua;" path "/?/?.lua"))))
-                    (lua-inputs (map (cute assoc-ref inputs <>)
-                                     '("lua"
-                                       "lua-luv"
-                                       "lua-lpeg"
-                                       "lua-bitop"
-                                       "lua-libmpack"))))
-               (setenv "LUA_PATH"
-                       (string-join (map lua-path-spec lua-inputs) ";"))
-               (setenv "LUA_CPATH"
-                       (string-join (map lua-cpath-spec lua-inputs) ";"))
-               #t)))
-         (add-after 'unpack 'prevent-embedding-gcc-store-path
-           (lambda _
-             ;; nvim remembers its build options, including the compiler with
-             ;; its complete path.  This adds gcc to the closure of nvim, which
-             ;; doubles its size.  We remove the refirence here.
-             (substitute* "cmake/GetCompileFlags.cmake"
-               (("\\$\\{CMAKE_C_COMPILER\\}") "/gnu/store/.../bin/gcc"))
-             #t)))))
-    (inputs
-     `(("libuv" ,libuv-for-luv)
-       ("msgpack" ,msgpack)
-       ("libtermkey" ,libtermkey)
-       ("libvterm" ,libvterm)
-       ("unibilium" ,unibilium)
-       ("jemalloc" ,jemalloc)
-       ("lua" ,(if (member (if (%current-target-system)
-                               (gnu-triplet->nix-system (%current-target-system))
-                               (%current-system))
-                           (package-supported-systems luajit))
-                   luajit
-                   lua-5.1))
-       ("lua-luv" ,lua5.1-luv)
-       ("lua-lpeg" ,lua5.1-lpeg)
-       ("lua-bitop" ,lua5.1-bitop)
-       ("lua-libmpack" ,lua5.1-libmpack)
-       ("tree-sitter" ,tree-sitter)))
-    (native-inputs
-     `(("pkg-config" ,pkg-config)
-       ("gettext" ,gettext-minimal)
-       ("gperf" ,gperf)))
+     (list #:modules
+           '((srfi srfi-26) (guix build cmake-build-system)
+             (guix build utils))
+           #:configure-flags
+           #~(list #$@(if (member (if (%current-target-system)
+                                      (gnu-triplet->nix-system (%current-target-system))
+                                      (%current-system))
+                                  (package-supported-systems luajit))
+                          '()
+                          '("-DPREFER_LUA:BOOL=YES")))
+           #:phases
+           #~(modify-phases %standard-phases
+               (add-after 'unpack 'set-lua-paths
+                 (lambda* _
+                   (let* ((lua-version "5.1")
+                          (lua-cpath-spec (lambda (prefix)
+                                            (let ((path (string-append
+                                                         prefix
+                                                         "/lib/lua/"
+                                                         lua-version)))
+                                              (string-append
+                                               path
+                                               "/?.so;"
+                                               path
+                                               "/?/?.so"))))
+                          (lua-path-spec (lambda (prefix)
+                                           (let ((path (string-append prefix
+                                                        "/share/lua/"
+                                                        lua-version)))
+                                             (string-append path "/?.lua;"
+                                                            path "/?/?.lua"))))
+                          (lua-inputs (list (or #$(this-package-input "lua")
+                                                #$(this-package-input "luajit"))
+                                            #$lua5.1-luv
+                                            #$lua5.1-lpeg
+                                            #$lua5.1-bitop
+                                            #$lua5.1-libmpack)))
+                     (setenv "LUA_PATH"
+                             (string-join (map lua-path-spec lua-inputs) ";"))
+                     (setenv "LUA_CPATH"
+                             (string-join (map lua-cpath-spec lua-inputs) ";"))
+                     #t)))
+               (add-after 'unpack 'prevent-embedding-gcc-store-path
+                 (lambda _
+                   ;; nvim remembers its build options, including the compiler with
+                   ;; its complete path.  This adds gcc to the closure of nvim, which
+                   ;; doubles its size.  We remove the refirence here.
+                   (substitute* "cmake/GetCompileFlags.cmake"
+                     (("\\$\\{CMAKE_C_COMPILER\\}") "/gnu/store/.../bin/gcc"))
+                   #t)))))
+    (inputs (list libuv-for-luv
+                  msgpack
+                  libtermkey
+                  libvterm
+                  unibilium
+                  jemalloc
+                  (if (member (if (%current-target-system)
+                                  (gnu-triplet->nix-system (%current-target-system))
+                                  (%current-system))
+                              (package-supported-systems luajit))
+                      luajit
+                      lua-5.1)
+                  lua5.1-luv
+                  lua5.1-lpeg
+                  lua5.1-bitop
+                  lua5.1-libmpack
+                  tree-sitter))
+    (native-inputs (list pkg-config gettext-minimal gperf))
     (home-page "https://neovim.io")
     (synopsis "Fork of vim focused on extensibility and agility")
-    (description "Neovim is a project that seeks to aggressively
+    (description
+     "Neovim is a project that seeks to aggressively
 refactor Vim in order to:
 
 @itemize
@@ -744,7 +749,8 @@ (define-public neovim
 @item Split the work between multiple developers
 @item Enable advanced external UIs without modifications to the core
 @item Improve extensibility with a new plugin architecture
-@end itemize\n")
+@end itemize
+")
     ;; Neovim is licensed under the terms of the Apache 2.0 license,
     ;; except for parts that were contributed under the Vim license.
     (license (list license:asl2.0 license:vim))))
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55045; Package guix-patches. Full text available.

Message received at 55045 <at> debbugs.gnu.org:


Received: (at 55045) by debbugs.gnu.org; 18 May 2022 13:32:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 18 09:32:57 2022
Received: from localhost ([127.0.0.1]:59463 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nrJnN-0006Wv-5r
	for submit <at> debbugs.gnu.org; Wed, 18 May 2022 09:32:57 -0400
Received: from mail-ot1-f47.google.com ([209.85.210.47]:43566)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luishenriquegh2701@HIDDEN>) id 1nrJnI-0006W2-A0
 for 55045 <at> debbugs.gnu.org; Wed, 18 May 2022 09:32:56 -0400
Received: by mail-ot1-f47.google.com with SMTP id
 m6-20020a05683023a600b0060612720715so1315569ots.10
 for <55045 <at> debbugs.gnu.org>; Wed, 18 May 2022 06:32:52 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=XUl2LP4MK4VcuaEWTXXK2L8MmSqeG1vw+gRySLAZKjA=;
 b=kt+5yqJeiFc4wPexsVXawnG1mCRPKTEPIxFYwJh9F5aIE/uqyzBdQdReMxLgdH4XeF
 6NCY97+X1H94iSaQ1DhmxEFBo4JWqU2xB03T97oMsOfmeTSjIxrakfh8VlvPU4nMFeqy
 TGpvTRR6HyrUPe9RpTC6NjvHi6eeKCn49RnOkNK4aqGACr2AOL2kyftk1kL4zuhQFXYu
 4bbLf5fiv/xUbYxBlam2g0ku8l6u6RLQL1jDT6n8r5ZEqB7rFOJGMVkmLIijgdDwGEHf
 31NS3hh91a4Od4cG+z6Zn+BVrO0+KoJMNnEy+CnTBrAtzl3Q8O343YTvAkXf3hVm4B2k
 TmHQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=XUl2LP4MK4VcuaEWTXXK2L8MmSqeG1vw+gRySLAZKjA=;
 b=zMX9Q0IjbMeevImeG0s6PP/EJhK3mO9LfqZhS6a6qwoaOPs8eBv6s8e1fSzQ5r6n8n
 mPwZf1hUfXNRPg0+8adSWJM6hmFyuBsyFkP5faArdoafwUYL+0ZhI+QxjU+RE/PASsOW
 DifjjE+5EdBveyIYENEdOvnRE7w30jzOmJmFhVH8WlCJKSdZk95sVAivGP8vrziFbWkc
 MESq71VWNSDI+xYqyv609e3Me4Z7wEawQgJeQ1PQgM+0JG9ukxCTLUIEyI301y5Q0Ihp
 NBeMV7YoTSAefKEZ/5PbHtCx+UZv4HPdQIcpSmyHhQZ1UNlc1ME6Bxk6rBiUnkkltyNW
 2BjA==
X-Gm-Message-State: AOAM532zKtjYE6vDshnYsHdt+YMBO06itAsY3Rr7yeSnhvGFmIYqPRGl
 fNp+ewWNvPyER1TQ7jFfOxxxxcu7m0jXpJz9
X-Google-Smtp-Source: ABdhPJzELLrNX7DI3ZhemHw9pc9tOsKD6+TYqBwDtFj9RcN1yWet6yVmfQNvm9ZDT/lhUH5lzGsZpQ==
X-Received: by 2002:a9d:12c6:0:b0:605:f18a:dc8c with SMTP id
 g64-20020a9d12c6000000b00605f18adc8cmr9982483otg.372.1652880766133; 
 Wed, 18 May 2022 06:32:46 -0700 (PDT)
Received: from localhost.localdomain ([179.180.243.123])
 by smtp.gmail.com with ESMTPSA id
 b3-20020a4aac83000000b0035ec65ac944sm967600oon.16.2022.05.18.06.32.44
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 18 May 2022 06:32:45 -0700 (PDT)
From: Luis Henrique Gomes Higino <luishenriquegh2701@HIDDEN>
To: 55045 <at> debbugs.gnu.org
Subject: [PATCH v3 3/4] gnu: neovim: Update to 0.7.0.
Date: Wed, 18 May 2022 10:32:24 -0300
Message-Id: <20220518133225.30983-3-luishenriquegh2701@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220518133225.30983-1-luishenriquegh2701@HIDDEN>
References: <20220518133225.30983-1-luishenriquegh2701@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 55045
Cc: Luis Henrique Gomes Higino <luishenriquegh2701@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

* gnu/packages/vim.scm (neovim): Update to 0.7.0.
---
 gnu/packages/vim.scm | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/vim.scm b/gnu/packages/vim.scm
index bb459933b0..21a22570ad 100644
--- a/gnu/packages/vim.scm
+++ b/gnu/packages/vim.scm
@@ -658,7 +658,7 @@ (define-public neovim-syntastic
 (define-public neovim
   (package
     (name "neovim")
-    (version "0.6.1")
+    (version "0.7.0")
     (source
      (origin
        (method git-fetch)
@@ -667,7 +667,7 @@ (define-public neovim
              (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
-        (base32 "10p6lg5yv9n6wcwdprwvvi56dfcm4wsj54nm0invyx3mhf7374lx"))))
+        (base32 "1m7xmry66pn27gvk7qj9di83xa1h7zjp4c6ygnf218pqhr08x06g"))))
     (build-system cmake-build-system)
     (arguments
      `(#:modules ((srfi srfi-26)
@@ -713,7 +713,7 @@ (define-public neovim
                (("\\$\\{CMAKE_C_COMPILER\\}") "/gnu/store/.../bin/gcc"))
              #t)))))
     (inputs
-     `(("libuv" ,libuv)
+     `(("libuv" ,libuv-for-luv)
        ("msgpack" ,msgpack)
        ("libtermkey" ,libtermkey)
        ("libvterm" ,libvterm)
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55045; Package guix-patches. Full text available.

Message received at 55045 <at> debbugs.gnu.org:


Received: (at 55045) by debbugs.gnu.org; 18 May 2022 13:32:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 18 09:32:56 2022
Received: from localhost ([127.0.0.1]:59461 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nrJnL-0006WN-BE
	for submit <at> debbugs.gnu.org; Wed, 18 May 2022 09:32:56 -0400
Received: from mail-oi1-f174.google.com ([209.85.167.174]:33650)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luishenriquegh2701@HIDDEN>) id 1nrJnF-0006Vx-7H
 for 55045 <at> debbugs.gnu.org; Wed, 18 May 2022 09:32:49 -0400
Received: by mail-oi1-f174.google.com with SMTP id w130so2703682oig.0
 for <55045 <at> debbugs.gnu.org>; Wed, 18 May 2022 06:32:49 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=8TsoQt4KZ4n5w2hIMrrgxUDQf9baL/sOFnXtVpgye6U=;
 b=hGj6qSLmdPQjqOBPFwjX6A6lcwxzMb15YIfJ6UquOkkT1QlBwubfFBVtlVfmUguH6J
 t0ntszJ2KabWjjPjI3TNB9oWCG+CHsPKCi2qwYHEnQK7BC59rnOrTQ7740/Bqbzdls/O
 d6SgA4vpDHwRmhILr+rebUGDbdUv4YC07BmT3PJvxWY6NRvXuIk8CxPp4PCp1Myo9j69
 vqqul/7EgoqFB4IAzY3pbbgSDWkrCvRcqAK793Qt3p8hQ22cfR2OgnFpeLDE5va8WoAZ
 q95KvBZ+I1DXQHMWWH3U83m2Ob01y5WRZCkTGvPDg5DOg5vOeCmsXpuPR90psmGf5BSD
 cmoA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=8TsoQt4KZ4n5w2hIMrrgxUDQf9baL/sOFnXtVpgye6U=;
 b=YZjIyKiDeET3qZuRYFuoobfka80uRDUalE6MUgnLpBmzf2ttDFlmj4WqadBfwqfhzA
 0iZ/xmxOTItmwrXmJfJDq1f0iYeCSOjWoHd0wLWj+jn1vMtE4N5o8tqgP4qDlYk8uNu5
 6cGw7WdCpl9dkgyypc6A7fomzvZqvhQaTFPgJKLKoJ5uOhcAabbn5rNv95WPjIGN/qxz
 JgECKWv/LQF15se3Jj4hAwvSTb8xjTl9h/ZnonypeD7aX+aCXODxoCQ2HHq76TB2vpYh
 7sD+e6nMkUtGyZn/5wQ1AbQtl4jUhbsJGTTn9Uv9sKqnXd3kxqJCnJl4n1OaC0e6EOpi
 KzIA==
X-Gm-Message-State: AOAM532M2GBgW3i0scM3eTy78cZemfRAUjkrmrJsFuo2sx8Mw71uLf0A
 9hYa7o0p/KO1JByCekFL3xJ4OVQR8HUgMK0D
X-Google-Smtp-Source: ABdhPJwjHILa4PFMnVZ3j1KqzL1bVYgtltqIsFpmw7V9UN/85SHR8ms92cOmw1bKTTltMAge435mrg==
X-Received: by 2002:a05:6808:118c:b0:2d4:4194:70db with SMTP id
 j12-20020a056808118c00b002d4419470dbmr12947706oil.93.1652880762830; 
 Wed, 18 May 2022 06:32:42 -0700 (PDT)
Received: from localhost.localdomain ([179.180.243.123])
 by smtp.gmail.com with ESMTPSA id
 b3-20020a4aac83000000b0035ec65ac944sm967600oon.16.2022.05.18.06.32.41
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 18 May 2022 06:32:42 -0700 (PDT)
From: Luis Henrique Gomes Higino <luishenriquegh2701@HIDDEN>
To: 55045 <at> debbugs.gnu.org
Subject: [PATCH v3 2/4] gnu: lua-luv: Use gexps.
Date: Wed, 18 May 2022 10:32:23 -0300
Message-Id: <20220518133225.30983-2-luishenriquegh2701@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220518133225.30983-1-luishenriquegh2701@HIDDEN>
References: <20220518133225.30983-1-luishenriquegh2701@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 55045
Cc: Luis Henrique Gomes Higino <luishenriquegh2701@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

* gnu/packages/lua.scm (lua-luv)[arguments]: Rewrite using gexps.
---
 gnu/packages/lua.scm | 34 +++++++++++++++++-----------------
 1 file changed, 17 insertions(+), 17 deletions(-)

diff --git a/gnu/packages/lua.scm b/gnu/packages/lua.scm
index 0662b2d064..afebc6bc1f 100644
--- a/gnu/packages/lua.scm
+++ b/gnu/packages/lua.scm
@@ -800,23 +800,23 @@ (define (make-lua-luv name lua)
                 "1yzi4bm845vl84wyv2qw4z1n1v285lgwm681swmp84brfy2s7czp"))))
     (build-system cmake-build-system)
     (arguments
-     `(#:tests? #f                      ; there are none
-       #:configure-flags
-       '("-DWITH_LUA_ENGINE=Lua"
-         "-DWITH_SHARED_LIBUV=On"
-         "-DBUILD_MODULE=Off"
-         "-DBUILD_SHARED_LIBS=On"
-         "-DLUA_BUILD_TYPE=System")
-       #:phases
-       (modify-phases %standard-phases
-         (add-after 'unpack 'copy-lua-compat
-           (lambda* (#:key inputs #:allow-other-keys)
-             (copy-recursively (assoc-ref inputs "lua-compat")
-                               "lua-compat")
-             (setenv "CPATH"
-                     (string-append (getcwd) "/lua-compat/c-api:"
-                                    (or (getenv "CPATH") "")))
-             #t)))))
+     (list #:tests? #f                      ; there are none
+           #:configure-flags
+           #~'("-DWITH_LUA_ENGINE=Lua"
+               "-DWITH_SHARED_LIBUV=On"
+               "-DBUILD_MODULE=Off"
+               "-DBUILD_SHARED_LIBS=On"
+               "-DLUA_BUILD_TYPE=System")
+           #:phases
+           #~(modify-phases %standard-phases
+               (add-after 'unpack 'copy-lua-compat
+                 (lambda* _
+                   (copy-recursively #+(this-package-native-input "lua-compat")
+                                     "lua-compat")
+                   (setenv "CPATH"
+                           (string-append (getcwd) "/lua-compat/c-api:"
+                                          (or (getenv "CPATH") "")))
+                   #t)))))
     (inputs
      (list lua libuv-for-luv))
     (native-inputs
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55045; Package guix-patches. Full text available.

Message received at 55045 <at> debbugs.gnu.org:


Received: (at 55045) by debbugs.gnu.org; 18 May 2022 13:32:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 18 09:32:55 2022
Received: from localhost ([127.0.0.1]:59457 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nrJnH-0006WI-4s
	for submit <at> debbugs.gnu.org; Wed, 18 May 2022 09:32:55 -0400
Received: from mail-oa1-f41.google.com ([209.85.160.41]:45486)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luishenriquegh2701@HIDDEN>) id 1nrJnA-0006Vq-W1
 for 55045 <at> debbugs.gnu.org; Wed, 18 May 2022 09:32:49 -0400
Received: by mail-oa1-f41.google.com with SMTP id
 586e51a60fabf-e93bbb54f9so2600256fac.12
 for <55045 <at> debbugs.gnu.org>; Wed, 18 May 2022 06:32:44 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=qN6doWGqEkv/fzdsPs31Nu7eQ6Z8DZaF2pgtQhVYs+w=;
 b=obpV/ZlLQZCJ5p+OMHfq4PfnMDt/6DXwzapuHOBvLM22MBzzUyRVs3OFz6g8XM/1tH
 3BZnravb1VEbhcwqbqmZQRwEJ3uuWVyo0qQpI5GGvl6/KASxRtxQ2iSyBg37L0rxrJG7
 NJQGpaXZ+V3i1kDrLLumx6LdX2QYevomg164B2AovNlHIaEboPH0sva/6M3wBPFbvJFv
 fIfK0SjlBbWQ2faNwkm2fv5i1fxKqHqwtEVxfhuaYv9W7NxAqsEcjWe+8/DJ7uLTpWVT
 pWtaBTGl89E2PtMMBQtVYCDOzC/eemYfUnpLEHx3DRTWmuU25DIqn9bZWBFwCWTyCVMu
 padw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=qN6doWGqEkv/fzdsPs31Nu7eQ6Z8DZaF2pgtQhVYs+w=;
 b=Z6layYKvRGRw/IIm8mCtMkzwsRL0IUHfGF+tNnTb1ZQdyp1+ft/eB4DqESz/iq4v6l
 /R5I5QTIgCzhtVQTfq3xKsY7YM5sHWArecrn0uj94r1q7jl9gOnx8xFhGSvQchucBb2x
 noboj0GeeZxi33vI4m6kZvDylWPn3fvcRwetB624YKs/jSR0nag/Sydf4c6DcurgS3j0
 h8CtI4tkfxJtFu8BNKb07klt6Tnu7Bx91uAmQHon/KsUSVEbRUPYxlF07YhLJR6EbklX
 F3/puobRW2k0u7Er/7kfDLmlpYHBP422LAQ3o7r+y4PsqRceAeciafxzH3VX97fO1TAD
 p7iQ==
X-Gm-Message-State: AOAM530/bLcz1DX8UHP4b08z8qPPuI0cPRxLU4p9uGVF1oVoZcWo2+li
 uXJN8cBsiMA/sjM86nkf24SM+upshr9CT6kX
X-Google-Smtp-Source: ABdhPJzgLHI3z+qqXw5j5TBNRENaK01vZ8O+xcMZYV7KDOFZIHuKcRuvP3jzjH4nHF4gcYP9FvFMqg==
X-Received: by 2002:a05:6870:790:b0:e5:c4c7:f6b6 with SMTP id
 en16-20020a056870079000b000e5c4c7f6b6mr16036404oab.287.1652880758804; 
 Wed, 18 May 2022 06:32:38 -0700 (PDT)
Received: from localhost.localdomain ([179.180.243.123])
 by smtp.gmail.com with ESMTPSA id
 b3-20020a4aac83000000b0035ec65ac944sm967600oon.16.2022.05.18.06.32.36
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 18 May 2022 06:32:37 -0700 (PDT)
From: Luis Henrique Gomes Higino <luishenriquegh2701@HIDDEN>
To: 55045 <at> debbugs.gnu.org
Subject: [PATCH v3 1/4] gnu: lua-luv: Update to 1.43.0-0.
Date: Wed, 18 May 2022 10:32:22 -0300
Message-Id: <20220518133225.30983-1-luishenriquegh2701@HIDDEN>
X-Mailer: git-send-email 2.36.0
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  * gnu/packages/libevent.scm (libuv-for-luv): New variable
 * gnu/packages/lua.scm (lua-luv): Update to 1.43.0-0. [inputs]: Change libuv
 to libuv-for-luv. [native-inputs]: Update lua-compat-5.3 to 0.10. [...] 
 Content analysis details:   (1.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (luishenriquegh2701[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (luishenriquegh2701[at]gmail.com)
 1.6 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: ambrevar.xyz (xyz)]
 0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [209.85.160.41 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.160.41 listed in list.dnswl.org]
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
X-Debbugs-Envelope-To: 55045
Cc: Luis Henrique Gomes Higino <luishenriquegh2701@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.9 (/)

* gnu/packages/libevent.scm (libuv-for-luv): New variable
* gnu/packages/lua.scm (lua-luv): Update to 1.43.0-0.
[inputs]: Change libuv to libuv-for-luv.
[native-inputs]: Update lua-compat-5.3 to 0.10.
---
 gnu/packages/libevent.scm | 17 +++++++++++++++++
 gnu/packages/lua.scm      | 13 +++++++------
 2 files changed, 24 insertions(+), 6 deletions(-)

diff --git a/gnu/packages/libevent.scm b/gnu/packages/libevent.scm
index b3a5cd915e..d807315906 100644
--- a/gnu/packages/libevent.scm
+++ b/gnu/packages/libevent.scm
@@ -7,6 +7,7 @@
 ;;; Copyright © 2017 Efraim Flashner <efraim@HIDDEN>
 ;;; Copyright © 2018, 2019 Tobias Geerinckx-Rice <me@HIDDEN>
 ;;; Copyright © 2019 Pierre Neidhardt <mail@HIDDEN>
+;;; Copyright © 2022 Luis Henrique Gomes Higino <luishenriquegh2701@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -169,6 +170,22 @@ (define-public libuv-julia
       (home-page "https://github.com/JuliaLang/libuv")
       (properties '((hidden? . #t))))))
 
+(define-public libuv-for-luv
+  ;; When upgrading make-lua-luv, also upgrade this. Get the version from
+  ;; https://github.com/luvit/luv/blob/master/CMakeLists.txt
+  (package
+    (inherit libuv)
+    (name "libuv")
+    (version "1.43.0")
+    (source (origin
+              (method url-fetch)
+              (uri (string-append "https://dist.libuv.org/dist/v" version
+                                  "/libuv-v" version ".tar.gz"))
+              (sha256
+               (base32
+                "194kwq3jfj9s628kzkchdca534rikjw0xiyas0cjbphqmsvjpmwh"))))
+    (properties '((hidden? . #t)))))
+
 (define-public perl-anyevent
   (package
     (name "perl-anyevent")
diff --git a/gnu/packages/lua.scm b/gnu/packages/lua.scm
index ee4b7727e0..0662b2d064 100644
--- a/gnu/packages/lua.scm
+++ b/gnu/packages/lua.scm
@@ -16,6 +16,7 @@
 ;;; Copyright © 2021 Vinícius dos Santos Oliveira <vini.ipsmaker@HIDDEN>
 ;;; Copyright © 2021 Greg Hogan <code@HIDDEN>
 ;;; Copyright © 2022 Brandon Lucas <br@HIDDEN>
+;;; Copyright © 2022 Luis Henrique Gomes Higino <luishenriquegh2701@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -785,7 +786,7 @@ (define-public lua5.2-lpeg
 (define (make-lua-luv name lua)
   (package
     (name name)
-    (version "1.32.0-0")
+    (version "1.43.0-0")
     (source (origin
               ;; The release tarball includes the sources of libuv but does
               ;; not include the pkg-config files.
@@ -796,7 +797,7 @@ (define (make-lua-luv name lua)
               (file-name (git-file-name name version))
               (sha256
                (base32
-                "0c65c1lhbl0axnyks3910gjs0z0hw7w6jvl07g8kbpnbvfl4qajh"))))
+                "1yzi4bm845vl84wyv2qw4z1n1v285lgwm681swmp84brfy2s7czp"))))
     (build-system cmake-build-system)
     (arguments
      `(#:tests? #f                      ; there are none
@@ -813,22 +814,22 @@ (define (make-lua-luv name lua)
              (copy-recursively (assoc-ref inputs "lua-compat")
                                "lua-compat")
              (setenv "CPATH"
-                     (string-append (getcwd) "/lua-compat:"
+                     (string-append (getcwd) "/lua-compat/c-api:"
                                     (or (getenv "CPATH") "")))
              #t)))))
     (inputs
-     (list lua libuv))
+     (list lua libuv-for-luv))
     (native-inputs
      `(("lua-compat"
         ,(origin
            (method git-fetch)
            (uri (git-reference
                  (url "https://github.com/keplerproject/lua-compat-5.3")
-                 (commit "daebe77a2f498817713df37f0bb316db1d82222f")))
+                 (commit "v0.10")))
            (file-name "lua-compat-5.3-checkout")
            (sha256
             (base32
-             "02a14nvn7aggg1yikj9h3dcf8aqjbxlws1bfvqbpfxv9d5phnrpz"))))))
+             "1caxn228gx48g6kymp9w7kczgxcg0v0cd5ixsx8viybzkd60dcn4"))))))
     (home-page "https://github.com/luvit/luv/")
     (synopsis "Libuv bindings for Lua")
     (description
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55045; Package guix-patches. Full text available.

Message received at 55045 <at> debbugs.gnu.org:


Received: (at 55045) by debbugs.gnu.org; 18 May 2022 12:07:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 18 08:07:38 2022
Received: from localhost ([127.0.0.1]:59248 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nrISn-000846-Vy
	for submit <at> debbugs.gnu.org; Wed, 18 May 2022 08:07:38 -0400
Received: from mail-oa1-f45.google.com ([209.85.160.45]:44440)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luishenriquegh2701@HIDDEN>) id 1nrISm-00083u-Kg
 for 55045 <at> debbugs.gnu.org; Wed, 18 May 2022 08:07:37 -0400
Received: by mail-oa1-f45.google.com with SMTP id
 586e51a60fabf-f18e6ff0f6so2310332fac.11
 for <55045 <at> debbugs.gnu.org>; Wed, 18 May 2022 05:07:36 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=references:user-agent:from:to:cc:subject:date:in-reply-to
 :message-id:mime-version:content-transfer-encoding;
 bh=f87Hojmbozy1T49xtH8A63aFvq4tNPle7atLDx64Yps=;
 b=IEce3a64QdwftDPfv6grtEIB6mORUv87uVj4UP89PLrwBgbCV8oGiuNyeTQT3WbSkS
 qWCdwYRk5ipd+DoYuWi0WT1d2GzY0YSeURzGHbU17F7I9uaacKSJpSHcPNlbWEVijCBY
 zUgwHjM92VhKp9xqPEtaurCF4pW6bxYhCb4Ch6/kzd5y7R1am7bHxA3DPTgii2ezYdfP
 MEAp7d2PLIhdzVbDpISZcTPT5ayymERHYQSK8xhukuHYs4lpXkxvHMZPaQYwJtA2YIp+
 IQQZxnegO1SlFld3G8eSiJOx0C1aY85c1BINoAib9pb/N2o0B3SYZflWil9dQnrpwmDc
 /3ng==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:references:user-agent:from:to:cc:subject:date
 :in-reply-to:message-id:mime-version:content-transfer-encoding;
 bh=f87Hojmbozy1T49xtH8A63aFvq4tNPle7atLDx64Yps=;
 b=pKjgYVt7Njcil+Iw5LWnDjFJ8V6icEX89XbPxF1QF4pF9alBAXZrPaa+R9h65/SLor
 neOooGd7iyNoIHOWMtMHOO8GBLQjG2GSoiO7aXtTxxO9OoV/f+6sB1/jV1PKnOePIrQV
 0fQsUoY+Y9uTLiYLK0hGkZsfnsiER7h78NWa17gqllAgyGg7YLjxVPZ62yH+ud9o8pB7
 6FrXbZb2g6ocN0q26VXchvDQVuGI/BTIVlF/jlaFI/tBGpFOYpHc5/xOoBF7lL/SPJ4+
 07f2y/mSjQEkRHTsLhOVOc0G9KcbkTh5Cap+2h1n92gVgV2mPR7ic+fjZZkFteTcEiru
 1qpQ==
X-Gm-Message-State: AOAM533otPjrIT1UtXHgzfsjTaxvJIy8kJ2YCx8Zn+rNjBHVfs6uqbs0
 pW4vz/V2waSJ0+WXNasEcnOeiia2cg3CVjDa
X-Google-Smtp-Source: ABdhPJy0hsPK1z3zRbkqo/pFLKJU0k650szWwwL/H60/wlh/WjPW7gyFZT3imLSWQ6uTIbRBY1f1vA==
X-Received: by 2002:a05:6870:32cd:b0:ed:11ea:2bd4 with SMTP id
 r13-20020a05687032cd00b000ed11ea2bd4mr21858706oac.58.1652875650306; 
 Wed, 18 May 2022 05:07:30 -0700 (PDT)
Received: from LenovoGuix ([2804:1b3:c200:fc7:399f:1d5:1b26:e154])
 by smtp.gmail.com with ESMTPSA id
 q15-20020a056870828f00b000e686d13887sm837245oae.33.2022.05.18.05.07.27
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 18 May 2022 05:07:29 -0700 (PDT)
References: <20220517231647.18336-1-luishenriquegh2701@HIDDEN>
 <20220517231647.18336-4-luishenriquegh2701@HIDDEN>
 <31a8ebc34c7224c2113533e8a50c4f4001c1131d.camel@HIDDEN>
User-agent: mu4e 1.6.10; emacs 27.2
From: Luis Henrique Gomes Higino <luishenriquegh2701@HIDDEN>
To: Maxime Devos <maximedevos@HIDDEN>
Subject: Re: [bug#55045] [PATCH v2 4/4] gnu: neovim: Use new style.
Date: Wed, 18 May 2022 09:06:02 -0300
In-reply-to: <31a8ebc34c7224c2113533e8a50c4f4001c1131d.camel@HIDDEN>
Message-ID: <87v8u3vybu.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: base64
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 55045
Cc: 55045 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

SEkgTWF4aW1lLA0KDQpNYXhpbWUgRGV2b3MgPG1heGltZWRldm9zQHRlbGVuZXQuYmU+IHdyaXRl
czoNCg0KPiBbW1BHUCBTaWduZWQgUGFydDpVbmRlY2lkZWRdXQ0KPiBMdWlzIEhlbnJpcXVlIEdv
bWVzIEhpZ2lubyBzY2hyZWVmIG9wIGRpIDE3LTA1LTIwMjIgb20gMjA6MTYgDQo+IFstMDMwMF06
DQo+PiAtwqDCoMKgwqDCoMKgwqDCoCAoYWRkLWFmdGVyICd1bnBhY2sgJ3ByZXZlbnQtZW1iZWRk
aW5nLWdjYy1zdG9yZS1wYXRoDQo+PiAtwqDCoMKgwqDCoMKgwqDCoMKgwqAgKGxhbWJkYSBfDQo+
PiAtwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgIDs7IG52aW0gcmVtZW1iZXJzIGl0cyBidWlsZCBv
cHRpb25zLCBpbmNsdWRpbmcgDQo+PiB0aGUgY29tcGlsZXIgd2l0aA0KPj4gLcKgwqDCoMKgwqDC
oMKgwqDCoMKgwqDCoCA7OyBpdHMgY29tcGxldGUgcGF0aC7CoCBUaGlzIGFkZHMgZ2NjIHRvIHRo
ZSANCj4+IGNsb3N1cmUgb2YgbnZpbSwgd2hpY2gNCj4+IC3CoMKgwqDCoMKgwqDCoMKgwqDCoMKg
wqAgOzsgZG91YmxlcyBpdHMgc2l6ZS7CoCBXZSByZW1vdmUgdGhlIHJlZmlyZW5jZSANCj4+IGhl
cmUuDQo+PiAtwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgIChzdWJzdGl0dXRlKiAiY21ha2UvR2V0
Q29tcGlsZUZsYWdzLmNtYWtlIg0KPj4gLcKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqAgKCgi
XFwkXFx7Q01BS0VfQ19DT01QSUxFUlxcfSIpIA0KPj4gIi9nbnUvc3RvcmUvLi4uL2Jpbi9nY2Mi
KSkNCj4+IC3CoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqAgI3QpKSkpKQ0KPj4gWy4uLl0NCj4+ICvC
oMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgIChhZGQtYWZ0ZXIgJ3VucGFjayANCj4+ICdwcmV2
ZW50LWVtYmVkZGluZy1nY2Mtc3RvcmUtcGF0aA0KPj4gK8KgwqDCoMKgwqDCoMKgwqDCoMKgwqDC
oMKgwqDCoMKgIChsYW1iZGEgXw0KPj4gK8KgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKg
wqDCoCAoc3Vic3RpdHV0ZSogImNtYWtlL0dldENvbXBpbGVGbGFncy5jbWFrZSINCj4+ICvCoMKg
wqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgICgoIlxcJFxce0NNQUtFX0NfQ09N
UElMRVJcXH0iKSANCj4+ICIvZ251L3N0b3JlLy4uLi9iaW4vZ2NjIikpDQo+DQo+IFlvdSBkcm9w
cGVkIGEgY29tbWVudCBoZXJlICgiZ3VpeCBzdHlsZSIgaXMgaW1wZXJmZWN0KQ0KPg0KPiBHcmVl
dGluZ3MsDQo+IE1heGltZS4NCj4NCj4gW1tFbmQgb2YgUEdQIFNpZ25lZCBQYXJ0XV0NCg0KdGhh
bmsgeW91IGZvciBzcG90dGluZyBpdCENCg0KUmVnYXJkcywNCi0tIA0KTHVpcyBILiBIaWdpbm8N
Cg==




Information forwarded to guix-patches@HIDDEN:
bug#55045; Package guix-patches. Full text available.

Message received at 55045 <at> debbugs.gnu.org:


Received: (at 55045) by debbugs.gnu.org; 18 May 2022 11:09:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 18 07:09:24 2022
Received: from localhost ([127.0.0.1]:59132 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nrHYS-00029s-9G
	for submit <at> debbugs.gnu.org; Wed, 18 May 2022 07:09:24 -0400
Received: from michel.telenet-ops.be ([195.130.137.88]:49580)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1nrHYP-00029j-Jv
 for 55045 <at> debbugs.gnu.org; Wed, 18 May 2022 07:09:22 -0400
Received: from ptr-bvsjgyhxw7psv60dyze.18120a2.ip6.access.telenet.be
 ([IPv6:2a02:1811:8c09:9d00:3c5f:2eff:feb0:ba5a])
 by michel.telenet-ops.be with bizsmtp
 id YB9K2700D4UW6Th06B9KrN; Wed, 18 May 2022 13:09:20 +0200
Message-ID: <31a8ebc34c7224c2113533e8a50c4f4001c1131d.camel@HIDDEN>
Subject: Re: [bug#55045] [PATCH v2 4/4] gnu: neovim: Use new style.
From: Maxime Devos <maximedevos@HIDDEN>
To: Luis Henrique Gomes Higino <luishenriquegh2701@HIDDEN>, 
 55045 <at> debbugs.gnu.org
Date: Wed, 18 May 2022 13:09:07 +0200
In-Reply-To: <20220517231647.18336-4-luishenriquegh2701@HIDDEN>
References: <20220517231647.18336-1-luishenriquegh2701@HIDDEN>
 <20220517231647.18336-4-luishenriquegh2701@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-X6Cf3+s3U/eNPeW82uLu"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1652872160; bh=UuiKJZcMtEbh3KY6kz2hs139zQJa+7Z5KKk6hNfLDb0=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=oXNK522VZVURNzuUDBLxc/6o1yU9ZsGBAmHPpeI5g+qqy9FEavNjwFyhDounMoccl
 eaSVB578UwB5/sP+0M4vjAkkiEw4tFmSynPyItcUtR8pVjZFKY8fS2hzmbaOSQHcGx
 kwP0hXR9m7C+1/fa9iCtS1LjQJ0vYOmj2/82d6NfLRK5ny2owi2+BtJxwRDzNbcCKH
 2Ge4Ol4/7vQSqCCk2zHTbEiqJ3OuSQfene8h8AsiJ7FlXbeoe+MIQQLMSdk8HFcNFT
 D/ETu7wO0zuAvEje4i0WMOEFJP3LvwhDiWnt55x/m8OigYHA1TbEmU5Yw82IepuDXa
 Z1XT3H8i/GgZg==
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55045
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-X6Cf3+s3U/eNPeW82uLu
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: base64

THVpcyBIZW5yaXF1ZSBHb21lcyBIaWdpbm8gc2NocmVlZiBvcCBkaSAxNy0wNS0yMDIyIG9tIDIw
OjE2IFstMDMwMF06Cj4gLcKgwqDCoMKgwqDCoMKgwqAgKGFkZC1hZnRlciAndW5wYWNrICdwcmV2
ZW50LWVtYmVkZGluZy1nY2Mtc3RvcmUtcGF0aAo+IC3CoMKgwqDCoMKgwqDCoMKgwqDCoCAobGFt
YmRhIF8KPiAtwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgIDs7IG52aW0gcmVtZW1iZXJzIGl0cyBi
dWlsZCBvcHRpb25zLCBpbmNsdWRpbmcgdGhlIGNvbXBpbGVyIHdpdGgKPiAtwqDCoMKgwqDCoMKg
wqDCoMKgwqDCoMKgIDs7IGl0cyBjb21wbGV0ZSBwYXRoLsKgIFRoaXMgYWRkcyBnY2MgdG8gdGhl
IGNsb3N1cmUgb2YgbnZpbSwgd2hpY2gKPiAtwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgIDs7IGRv
dWJsZXMgaXRzIHNpemUuwqAgV2UgcmVtb3ZlIHRoZSByZWZpcmVuY2UgaGVyZS4KPiAtwqDCoMKg
wqDCoMKgwqDCoMKgwqDCoMKgIChzdWJzdGl0dXRlKiAiY21ha2UvR2V0Q29tcGlsZUZsYWdzLmNt
YWtlIgo+IC3CoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgICgoIlxcJFxce0NNQUtFX0NfQ09N
UElMRVJcXH0iKSAiL2dudS9zdG9yZS8uLi4vYmluL2djYyIpKQo+IC3CoMKgwqDCoMKgwqDCoMKg
wqDCoMKgwqAgI3QpKSkpKQo+IFsuLi5dCj4gK8KgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqAg
KGFkZC1hZnRlciAndW5wYWNrICdwcmV2ZW50LWVtYmVkZGluZy1nY2Mtc3RvcmUtcGF0aAo+ICvC
oMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoCAobGFtYmRhIF8KPiArwqDCoMKgwqDCoMKg
wqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgIChzdWJzdGl0dXRlKiAiY21ha2UvR2V0Q29tcGlsZUZs
YWdzLmNtYWtlIgo+ICvCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgICgo
IlxcJFxce0NNQUtFX0NfQ09NUElMRVJcXH0iKSAiL2dudS9zdG9yZS8uLi4vYmluL2djYyIpKQoK
WW91IGRyb3BwZWQgYSBjb21tZW50IGhlcmUgKCJndWl4IHN0eWxlIiBpcyBpbXBlcmZlY3QpCgpH
cmVldGluZ3MsCk1heGltZS4K


--=-X6Cf3+s3U/eNPeW82uLu
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYoTT0xccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7qOuAQCE4mllBRBHmq/Pgj15SYBhjhIU
ZrMkWIIQr2MeUvutnQD8C6vyz4IQZXsYkHcHrcFI8JyENRtjQqPF4rFLaXZGigg=
=BDEs
-----END PGP SIGNATURE-----

--=-X6Cf3+s3U/eNPeW82uLu--





Information forwarded to guix-patches@HIDDEN:
bug#55045; Package guix-patches. Full text available.

Message received at 55045 <at> debbugs.gnu.org:


Received: (at 55045) by debbugs.gnu.org; 17 May 2022 23:17:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 17 19:17:34 2022
Received: from localhost ([127.0.0.1]:58370 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nr6Ra-0000Xg-Gq
	for submit <at> debbugs.gnu.org; Tue, 17 May 2022 19:17:34 -0400
Received: from mail-oa1-f51.google.com ([209.85.160.51]:33832)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luishenriquegh2701@HIDDEN>) id 1nr6RN-0000Wr-Gt
 for 55045 <at> debbugs.gnu.org; Tue, 17 May 2022 19:17:21 -0400
Received: by mail-oa1-f51.google.com with SMTP id
 586e51a60fabf-f189b07f57so592502fac.1
 for <55045 <at> debbugs.gnu.org>; Tue, 17 May 2022 16:17:21 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=RBxLmKmfAMj7GBIwidfBX7HjpSKd1SjlezzYUJMZ9AM=;
 b=ATVzMbETFkSpBrR97JCLXvayadfjR30vS0GQNEVZybwPYy+ZnGrQOT9JTPexEo+Rsw
 O20VDZm8K4GKfkfbopOXrJ3pgUVoaaRZ0hn6TqXZoTLkTUUCxB/XTWdhZYBJrLWVS0Rh
 ocUsUw/sK5zyhwLbLKffemw/1VuOXaboWRJtnBHL0ZVRw44qCqolGr+9T6IdYY7hwMX7
 bE6oBlljFckT010448lDaK6k6J/Nq94r2dwhJh91qnIvtGifURKMO7Le3Behr1bbyaqJ
 3OJlJwUWah7jP+7V+vNHUsfvLrNfxizAuYRg0jhDA+kdtSDqEYqllk5ZJ7n5dplICWv0
 Fjkg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=RBxLmKmfAMj7GBIwidfBX7HjpSKd1SjlezzYUJMZ9AM=;
 b=KzVfX/ylMV3nMpARYa1X03sc/WaHlC0WXosgBFQn0epf7xqlK4IFshUp4mcS7On4fN
 BLxaZBNP3cwI6YZJUrtXKPonNmkFvGSw1j87kDngUExAo4/Rw5apbVAEJRqJEhxZYUaq
 QbkXjOB3eVuCE9EWhNZb3BfEuBPVu/SnONOBISTMzqj3jlwn1LP4kxzzX0SRrx2Luwl9
 l48C+JVmIWeLiFrpg/6mqH7WxpiBEiefCV5AFuNW1GO8lpPel7vYC9oWeC+iu4UuGKHJ
 LmVQGew1vIOLGWPhXwPgretzD+nhoQI/ox/wgLxRXowapgioh7e3b4/QFRnqx+1rr4yQ
 HvWw==
X-Gm-Message-State: AOAM532yZpKjStY/sFVBYDHu2eMf8WHbAnE350T779BHcEj7i7e7RqCf
 2P/mOJ4DNf0UKSuwz3NDj1ck863zxyoPHvfy
X-Google-Smtp-Source: ABdhPJxv6ruYd46iowdhmvM7q8DeR3bAZciRgWbu2V+SAkilDr23XCOae+IzAuCNy4ULP8IoLoNi7A==
X-Received: by 2002:a05:6870:b025:b0:e6:283a:9553 with SMTP id
 y37-20020a056870b02500b000e6283a9553mr14001613oae.62.1652829435416; 
 Tue, 17 May 2022 16:17:15 -0700 (PDT)
Received: from localhost.localdomain ([2804:1b3:c200:fc7:399f:1d5:1b26:e154])
 by smtp.gmail.com with ESMTPSA id
 r3-20020a4a83c3000000b0035eb4e5a6c2sm340976oog.24.2022.05.17.16.17.13
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 17 May 2022 16:17:14 -0700 (PDT)
From: Luis Henrique Gomes Higino <luishenriquegh2701@HIDDEN>
To: 55045 <at> debbugs.gnu.org
Subject: [PATCH v2 4/4] gnu: neovim: Use new style.
Date: Tue, 17 May 2022 20:16:47 -0300
Message-Id: <20220517231647.18336-4-luishenriquegh2701@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220517231647.18336-1-luishenriquegh2701@HIDDEN>
References: <20220517231647.18336-1-luishenriquegh2701@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 55045
Cc: Luis Henrique Gomes Higino <luishenriquegh2701@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

* gnu/packages/vim.scm (neovim): Use new style.
[source]: Rewrite using gexps.
[arguments]: Rewrite using gexps.
[inputs and native-inputs]: Remove input labels.
[description]: Run `guix style`.
---
 gnu/packages/vim.scm | 153 ++++++++++++++++++++++---------------------
 1 file changed, 78 insertions(+), 75 deletions(-)

diff --git a/gnu/packages/vim.scm b/gnu/packages/vim.scm
index 21a22570ad..0dfaa45813 100644
--- a/gnu/packages/vim.scm
+++ b/gnu/packages/vim.scm
@@ -659,84 +659,86 @@ (define-public neovim
   (package
     (name "neovim")
     (version "0.7.0")
-    (source
-     (origin
-       (method git-fetch)
-       (uri (git-reference
-             (url "https://github.com/neovim/neovim")
-             (commit (string-append "v" version))))
-       (file-name (git-file-name name version))
-       (sha256
-        (base32 "1m7xmry66pn27gvk7qj9di83xa1h7zjp4c6ygnf218pqhr08x06g"))))
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/neovim/neovim")
+                    (commit (string-append "v" version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "1m7xmry66pn27gvk7qj9di83xa1h7zjp4c6ygnf218pqhr08x06g"))))
     (build-system cmake-build-system)
     (arguments
-     `(#:modules ((srfi srfi-26)
-                  (guix build cmake-build-system)
-                  (guix build utils))
-       #:configure-flags
-       (list ,@(if (member (if (%current-target-system)
-                               (gnu-triplet->nix-system (%current-target-system))
-                               (%current-system))
-                           (package-supported-systems luajit))
-                   '()
-                   '("-DPREFER_LUA:BOOL=YES")))
-       #:phases
-       (modify-phases %standard-phases
-         (add-after 'unpack 'set-lua-paths
-           (lambda* (#:key inputs #:allow-other-keys)
-             (let* ((lua-version "5.1")
-                    (lua-cpath-spec
-                     (lambda (prefix)
-                       (let ((path (string-append prefix "/lib/lua/" lua-version)))
-                         (string-append path "/?.so;" path "/?/?.so"))))
-                    (lua-path-spec
-                     (lambda (prefix)
-                       (let ((path (string-append prefix "/share/lua/" lua-version)))
-                         (string-append path "/?.lua;" path "/?/?.lua"))))
-                    (lua-inputs (map (cute assoc-ref inputs <>)
-                                     '("lua"
-                                       "lua-luv"
-                                       "lua-lpeg"
-                                       "lua-bitop"
-                                       "lua-libmpack"))))
-               (setenv "LUA_PATH"
-                       (string-join (map lua-path-spec lua-inputs) ";"))
-               (setenv "LUA_CPATH"
-                       (string-join (map lua-cpath-spec lua-inputs) ";"))
-               #t)))
-         (add-after 'unpack 'prevent-embedding-gcc-store-path
-           (lambda _
-             ;; nvim remembers its build options, including the compiler with
-             ;; its complete path.  This adds gcc to the closure of nvim, which
-             ;; doubles its size.  We remove the refirence here.
-             (substitute* "cmake/GetCompileFlags.cmake"
-               (("\\$\\{CMAKE_C_COMPILER\\}") "/gnu/store/.../bin/gcc"))
-             #t)))))
-    (inputs
-     `(("libuv" ,libuv-for-luv)
-       ("msgpack" ,msgpack)
-       ("libtermkey" ,libtermkey)
-       ("libvterm" ,libvterm)
-       ("unibilium" ,unibilium)
-       ("jemalloc" ,jemalloc)
-       ("lua" ,(if (member (if (%current-target-system)
-                               (gnu-triplet->nix-system (%current-target-system))
-                               (%current-system))
-                           (package-supported-systems luajit))
-                   luajit
-                   lua-5.1))
-       ("lua-luv" ,lua5.1-luv)
-       ("lua-lpeg" ,lua5.1-lpeg)
-       ("lua-bitop" ,lua5.1-bitop)
-       ("lua-libmpack" ,lua5.1-libmpack)
-       ("tree-sitter" ,tree-sitter)))
-    (native-inputs
-     `(("pkg-config" ,pkg-config)
-       ("gettext" ,gettext-minimal)
-       ("gperf" ,gperf)))
+     (list #:modules
+           '((srfi srfi-26) (guix build cmake-build-system)
+             (guix build utils))
+           #:configure-flags
+           #~(list #$@(if (member (if (%current-target-system)
+                                      (gnu-triplet->nix-system (%current-target-system))
+                                      (%current-system))
+                                  (package-supported-systems luajit))
+                          '()
+                          '("-DPREFER_LUA:BOOL=YES")))
+           #:phases
+           #~(modify-phases %standard-phases
+               (add-after 'unpack 'set-lua-paths
+                 (lambda* _
+                   (let* ((lua-version "5.1")
+                          (lua-cpath-spec (lambda (prefix)
+                                            (let ((path (string-append
+                                                         prefix
+                                                         "/lib/lua/"
+                                                         lua-version)))
+                                              (string-append
+                                               path
+                                               "/?.so;"
+                                               path
+                                               "/?/?.so"))))
+                          (lua-path-spec (lambda (prefix)
+                                           (let ((path (string-append prefix
+                                                        "/share/lua/"
+                                                        lua-version)))
+                                             (string-append path "/?.lua;"
+                                                            path "/?/?.lua"))))
+                          (lua-inputs (list (or #$(this-package-input "lua")
+                                                #$(this-package-input "luajit"))
+                                            #$lua5.1-luv
+                                            #$lua5.1-lpeg
+                                            #$lua5.1-bitop
+                                            #$lua5.1-libmpack)))
+                     (setenv "LUA_PATH"
+                             (string-join (map lua-path-spec lua-inputs) ";"))
+                     (setenv "LUA_CPATH"
+                             (string-join (map lua-cpath-spec lua-inputs) ";"))
+                     #t)))
+               (add-after 'unpack 'prevent-embedding-gcc-store-path
+                 (lambda _
+                   (substitute* "cmake/GetCompileFlags.cmake"
+                     (("\\$\\{CMAKE_C_COMPILER\\}") "/gnu/store/.../bin/gcc"))
+                   #t)))))
+    (inputs (list libuv-for-luv
+                  msgpack
+                  libtermkey
+                  libvterm
+                  unibilium
+                  jemalloc
+                  (if (member (if (%current-target-system)
+                                  (gnu-triplet->nix-system (%current-target-system))
+                                  (%current-system))
+                              (package-supported-systems luajit))
+                      luajit
+                      lua-5.1)
+                  lua5.1-luv
+                  lua5.1-lpeg
+                  lua5.1-bitop
+                  lua5.1-libmpack
+                  tree-sitter))
+    (native-inputs (list pkg-config gettext-minimal gperf))
     (home-page "https://neovim.io")
     (synopsis "Fork of vim focused on extensibility and agility")
-    (description "Neovim is a project that seeks to aggressively
+    (description
+     "Neovim is a project that seeks to aggressively
 refactor Vim in order to:
 
 @itemize
@@ -744,7 +746,8 @@ (define-public neovim
 @item Split the work between multiple developers
 @item Enable advanced external UIs without modifications to the core
 @item Improve extensibility with a new plugin architecture
-@end itemize\n")
+@end itemize
+")
     ;; Neovim is licensed under the terms of the Apache 2.0 license,
     ;; except for parts that were contributed under the Vim license.
     (license (list license:asl2.0 license:vim))))
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55045; Package guix-patches. Full text available.

Message received at 55045 <at> debbugs.gnu.org:


Received: (at 55045) by debbugs.gnu.org; 17 May 2022 23:17:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 17 19:17:34 2022
Received: from localhost ([127.0.0.1]:58367 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nr6RM-0000XD-AX
	for submit <at> debbugs.gnu.org; Tue, 17 May 2022 19:17:34 -0400
Received: from mail-oi1-f176.google.com ([209.85.167.176]:37548)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luishenriquegh2701@HIDDEN>) id 1nr6RK-0000Wk-JN
 for 55045 <at> debbugs.gnu.org; Tue, 17 May 2022 19:17:18 -0400
Received: by mail-oi1-f176.google.com with SMTP id r1so713505oie.4
 for <55045 <at> debbugs.gnu.org>; Tue, 17 May 2022 16:17:18 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=XUl2LP4MK4VcuaEWTXXK2L8MmSqeG1vw+gRySLAZKjA=;
 b=Mw/MNP5Ohnt9l1qyQ8hewrqJupLDUi1Ft1OjoT3QgJ3FzhTOCkptIUMnevlX+ZDQkZ
 nuAF4vJAYoQr0tDKyBmv27CAyxXRzltL54972EeWkpD5V0zh26jLOBamc1YXQjsMQccC
 UcM9C+PdJcYL9GA/9XJgKQbEj47fSoEeST3zPBggrSbNqMPdTL2loI34EpxR55mRjfT9
 Yh/Vc71Td9zQlBE4mtpqsveKy4I2u8hDCcA24ycBWiZwA0pkekDgsm46B8zPhnvCvcTX
 W+OYfEafAxi45M3bs5a27IVzDhAkZtTWz5Fg/mJs8L8Y7odjDL0Fm70jnU2+ulDVwCtX
 9cLQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=XUl2LP4MK4VcuaEWTXXK2L8MmSqeG1vw+gRySLAZKjA=;
 b=e0euZXsF3BT/5rCuxJdyNgkekaDmAO35egQY69sBIdjYjJI3lHznFjttpL77OBRlXx
 ynomdgH8y4A9WD7OAYMb2WzdIzStJJYWJCBuEfPjJftn1cj0dA+kCBktYAIiN58Ie+zQ
 vj3pRWMyebf3XEmxdmRHf8VxzOs3r2/JDs9XvdbCY1CuJM+d9m3M33Bjse5d2i4v6u3E
 /8EMMqYMjNNQRYor/rXU/y4FsBJiqECSSD7qQOk+ke1HYLLcKdWRaVGwFMKM/CvuEM37
 S3thRwyEDCOlfF+IlZV3pv0G3Kk3FPHljfiiqPhqnFBA8dW5Ir74fwdnZ3h/wiG9wZvc
 DOVg==
X-Gm-Message-State: AOAM530casZV2l3IX8vW1TRcsxTLTlDbK9QgRE4Teu83eXfO02fUUT07
 ZBtBQSpMRSmCienNQquZdgkPVm5fjVkUeBCx
X-Google-Smtp-Source: ABdhPJzrAS2KGHxuv0KM0fHm7P2pzh6ACFA30B0cKU9fxA039NTimVYnIfDyWQKuJidv7KXa64hm5Q==
X-Received: by 2002:aca:a98e:0:b0:326:b029:33ef with SMTP id
 s136-20020acaa98e000000b00326b02933efmr17122502oie.123.1652829432676; 
 Tue, 17 May 2022 16:17:12 -0700 (PDT)
Received: from localhost.localdomain ([2804:1b3:c200:fc7:399f:1d5:1b26:e154])
 by smtp.gmail.com with ESMTPSA id
 r3-20020a4a83c3000000b0035eb4e5a6c2sm340976oog.24.2022.05.17.16.17.10
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 17 May 2022 16:17:12 -0700 (PDT)
From: Luis Henrique Gomes Higino <luishenriquegh2701@HIDDEN>
To: 55045 <at> debbugs.gnu.org
Subject: [PATCH v2 3/4] gnu: neovim: Update to 0.7.0.
Date: Tue, 17 May 2022 20:16:46 -0300
Message-Id: <20220517231647.18336-3-luishenriquegh2701@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220517231647.18336-1-luishenriquegh2701@HIDDEN>
References: <20220517231647.18336-1-luishenriquegh2701@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 55045
Cc: Luis Henrique Gomes Higino <luishenriquegh2701@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

* gnu/packages/vim.scm (neovim): Update to 0.7.0.
---
 gnu/packages/vim.scm | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/vim.scm b/gnu/packages/vim.scm
index bb459933b0..21a22570ad 100644
--- a/gnu/packages/vim.scm
+++ b/gnu/packages/vim.scm
@@ -658,7 +658,7 @@ (define-public neovim-syntastic
 (define-public neovim
   (package
     (name "neovim")
-    (version "0.6.1")
+    (version "0.7.0")
     (source
      (origin
        (method git-fetch)
@@ -667,7 +667,7 @@ (define-public neovim
              (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
-        (base32 "10p6lg5yv9n6wcwdprwvvi56dfcm4wsj54nm0invyx3mhf7374lx"))))
+        (base32 "1m7xmry66pn27gvk7qj9di83xa1h7zjp4c6ygnf218pqhr08x06g"))))
     (build-system cmake-build-system)
     (arguments
      `(#:modules ((srfi srfi-26)
@@ -713,7 +713,7 @@ (define-public neovim
                (("\\$\\{CMAKE_C_COMPILER\\}") "/gnu/store/.../bin/gcc"))
              #t)))))
     (inputs
-     `(("libuv" ,libuv)
+     `(("libuv" ,libuv-for-luv)
        ("msgpack" ,msgpack)
        ("libtermkey" ,libtermkey)
        ("libvterm" ,libvterm)
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55045; Package guix-patches. Full text available.

Message received at 55045 <at> debbugs.gnu.org:


Received: (at 55045) by debbugs.gnu.org; 17 May 2022 23:17:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 17 19:17:20 2022
Received: from localhost ([127.0.0.1]:58365 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nr6RM-0000X6-2q
	for submit <at> debbugs.gnu.org; Tue, 17 May 2022 19:17:20 -0400
Received: from mail-oi1-f176.google.com ([209.85.167.176]:44926)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luishenriquegh2701@HIDDEN>) id 1nr6RH-0000WY-Fg
 for 55045 <at> debbugs.gnu.org; Tue, 17 May 2022 19:17:16 -0400
Received: by mail-oi1-f176.google.com with SMTP id i66so673847oia.11
 for <55045 <at> debbugs.gnu.org>; Tue, 17 May 2022 16:17:15 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=8TsoQt4KZ4n5w2hIMrrgxUDQf9baL/sOFnXtVpgye6U=;
 b=cH6uFoPD5oD2gLslS0sFjsK/8b4rqAC67ruDb4cIG/mRTSCl/A15OvftGoa/AOiXtm
 Y4DYK6aGFixU4TZ9kQNYwXw1ME1IojH4oLWD4yqaAvBcZEBH64ptzJeeayY0MZE80+h+
 ldEQYVkLHS00kHFbhghQ7oegUejSudsZqQWDpiY5Sm6XwNbGwVpx8fgFLutiyyfVQU+P
 Teex3RouH1mE6WyPKExEFRE4XHXwryUHStgNcM09KY7+Da8eRh2bCbyfpgmBRl7nUpBR
 xBr9gOoWLYWPPZx19biWTdCshzquyFEGKX8msNjGT+QpAuXzpKiA3vhEI21gzG10nyld
 jj7Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=8TsoQt4KZ4n5w2hIMrrgxUDQf9baL/sOFnXtVpgye6U=;
 b=eekU1DODZZaLFwo4uB0KryjYNvg2VK1HvoO4rT9JfkWbhVG7oR4+GhiH0kQ+2pQ48U
 FR+4IqMNy3YBpovzW5ubXD67BYcKZcjSvQzrtbFDW4vhEhASOXcy7fBGqfUfwzWa2Zcn
 xPgZ+oFYJrNsIR4WiyIdZjxUzSQ2Rk37OVHrr47JQD1z+oOBrERXPyLq3F9tNTxLafXl
 91OixptICJy5M4X0lqFyDtMUloQxKHh+eLMa5Hft0HGNt4B29Z5Po9/7OfIDKvBr2NIb
 P36wbHs5btOYRVihslO9TF9Xq9/8rFed7hoBJLo5wFPl84WeubdZPHoigIkQO4fj1doX
 yeJA==
X-Gm-Message-State: AOAM531QUNCoA501pdOhGs9swjwyGYlQ5a+FON99ouNmOzm9iw5dOIjj
 9fgcXDk5rXZz4wL+J3VSDIwqmbjmp06iUqLh
X-Google-Smtp-Source: ABdhPJzsL3CyoRsVBuUT8NGzUrEnnSbyLqGYbf3Sdub+WLSX6FUtDEGwmMV0gKst+dXeO7+uhP7M8A==
X-Received: by 2002:a05:6808:230c:b0:326:4acf:1517 with SMTP id
 bn12-20020a056808230c00b003264acf1517mr17019272oib.117.1652829429406; 
 Tue, 17 May 2022 16:17:09 -0700 (PDT)
Received: from localhost.localdomain ([2804:1b3:c200:fc7:399f:1d5:1b26:e154])
 by smtp.gmail.com with ESMTPSA id
 r3-20020a4a83c3000000b0035eb4e5a6c2sm340976oog.24.2022.05.17.16.17.07
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 17 May 2022 16:17:08 -0700 (PDT)
From: Luis Henrique Gomes Higino <luishenriquegh2701@HIDDEN>
To: 55045 <at> debbugs.gnu.org
Subject: [PATCH v2 2/4] gnu: lua-luv: Use gexps.
Date: Tue, 17 May 2022 20:16:45 -0300
Message-Id: <20220517231647.18336-2-luishenriquegh2701@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220517231647.18336-1-luishenriquegh2701@HIDDEN>
References: <20220517231647.18336-1-luishenriquegh2701@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 55045
Cc: Luis Henrique Gomes Higino <luishenriquegh2701@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

* gnu/packages/lua.scm (lua-luv)[arguments]: Rewrite using gexps.
---
 gnu/packages/lua.scm | 34 +++++++++++++++++-----------------
 1 file changed, 17 insertions(+), 17 deletions(-)

diff --git a/gnu/packages/lua.scm b/gnu/packages/lua.scm
index 0662b2d064..afebc6bc1f 100644
--- a/gnu/packages/lua.scm
+++ b/gnu/packages/lua.scm
@@ -800,23 +800,23 @@ (define (make-lua-luv name lua)
                 "1yzi4bm845vl84wyv2qw4z1n1v285lgwm681swmp84brfy2s7czp"))))
     (build-system cmake-build-system)
     (arguments
-     `(#:tests? #f                      ; there are none
-       #:configure-flags
-       '("-DWITH_LUA_ENGINE=Lua"
-         "-DWITH_SHARED_LIBUV=On"
-         "-DBUILD_MODULE=Off"
-         "-DBUILD_SHARED_LIBS=On"
-         "-DLUA_BUILD_TYPE=System")
-       #:phases
-       (modify-phases %standard-phases
-         (add-after 'unpack 'copy-lua-compat
-           (lambda* (#:key inputs #:allow-other-keys)
-             (copy-recursively (assoc-ref inputs "lua-compat")
-                               "lua-compat")
-             (setenv "CPATH"
-                     (string-append (getcwd) "/lua-compat/c-api:"
-                                    (or (getenv "CPATH") "")))
-             #t)))))
+     (list #:tests? #f                      ; there are none
+           #:configure-flags
+           #~'("-DWITH_LUA_ENGINE=Lua"
+               "-DWITH_SHARED_LIBUV=On"
+               "-DBUILD_MODULE=Off"
+               "-DBUILD_SHARED_LIBS=On"
+               "-DLUA_BUILD_TYPE=System")
+           #:phases
+           #~(modify-phases %standard-phases
+               (add-after 'unpack 'copy-lua-compat
+                 (lambda* _
+                   (copy-recursively #+(this-package-native-input "lua-compat")
+                                     "lua-compat")
+                   (setenv "CPATH"
+                           (string-append (getcwd) "/lua-compat/c-api:"
+                                          (or (getenv "CPATH") "")))
+                   #t)))))
     (inputs
      (list lua libuv-for-luv))
     (native-inputs
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55045; Package guix-patches. Full text available.

Message received at 55045 <at> debbugs.gnu.org:


Received: (at 55045) by debbugs.gnu.org; 17 May 2022 23:17:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 17 19:17:20 2022
Received: from localhost ([127.0.0.1]:58361 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nr6RG-0000Wm-PJ
	for submit <at> debbugs.gnu.org; Tue, 17 May 2022 19:17:20 -0400
Received: from mail-oi1-f179.google.com ([209.85.167.179]:33317)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luishenriquegh2701@HIDDEN>) id 1nr6RE-0000WU-5b
 for 55045 <at> debbugs.gnu.org; Tue, 17 May 2022 19:17:12 -0400
Received: by mail-oi1-f179.google.com with SMTP id w130so768746oig.0
 for <55045 <at> debbugs.gnu.org>; Tue, 17 May 2022 16:17:12 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=qN6doWGqEkv/fzdsPs31Nu7eQ6Z8DZaF2pgtQhVYs+w=;
 b=cJZNkzUzhqotZdidsjAGo9dY/wdTe1fBQ7lxz6gIziN9o0gKs+XjvMl+ACj7tVt2MU
 TLWjmyZKCVnPDiWnV1LCTvAfz7pu6RAkSka2a+ijhLXShhy5chLpO0vEWzleL6o5wEtY
 ubZ2StBsiWMkjTP/fbW00TV/q+7Te9/r8iDyZCEi0k+SJpXVi3RfOXx9NFP2/aGmjQ6z
 Sg9bd3MFybPKKHwMiXb8FKqq0iOILvUWb2OftwmTBOcDgFvj96KEx07cAEJovFEjoiQT
 jnMPVOaEagx4odOmBSvzmAVUDX3BVC0Mr6mhovYDu2BKk3WlwTnAT466zloIhBf8MlqT
 VupA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=qN6doWGqEkv/fzdsPs31Nu7eQ6Z8DZaF2pgtQhVYs+w=;
 b=1ZkKqboYdlQMm1wzXVVqHZNjTnG5epuTlj4gZr3eVUZGLKDqYTqql17LAceadVjx/z
 Nn9hYVwd1U7vvrocVfhAgDyw5HtrEQjcMfOx1kWGblyX1nBQiFYjvRCgBwTd8fC5lbxD
 QQ8/yDs3TJJSK0zLvnhotkWFJ7k3nkZN9tPmyU8bKw3dsKk/kdazjh7ekDXgew7QvMg6
 6faQkVODhTEUp/fBPeqkylCyDBz76xgWVnRhz5axfXiOglTIJFfToRNbkCdrRmkRPOxb
 csFZPZ2va/UatmKjddYzcLpvEnyNctHreykNJjcs84Si2Tg6+6tz4PRS7Kg6ACVyEBJB
 PXGw==
X-Gm-Message-State: AOAM530BfgJeWqwbhAzCScDgbfwFXS2KLbbj2NHaRQBt5v5Attfa+ud2
 pYgqddK098xXOGqF3Y13I8SYnXL9TUmCWJJz
X-Google-Smtp-Source: ABdhPJyg2wqkcPR8B6roykLH4oetYYs/fKhkKHzsMFK+7D9ow1Q/eViSmVlLa31LUUTtSjJg8W29HA==
X-Received: by 2002:aca:abcd:0:b0:326:ad9c:d88e with SMTP id
 u196-20020acaabcd000000b00326ad9cd88emr11458440oie.223.1652829425917; 
 Tue, 17 May 2022 16:17:05 -0700 (PDT)
Received: from localhost.localdomain ([2804:1b3:c200:fc7:399f:1d5:1b26:e154])
 by smtp.gmail.com with ESMTPSA id
 r3-20020a4a83c3000000b0035eb4e5a6c2sm340976oog.24.2022.05.17.16.17.04
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 17 May 2022 16:17:05 -0700 (PDT)
From: Luis Henrique Gomes Higino <luishenriquegh2701@HIDDEN>
To: 55045 <at> debbugs.gnu.org
Subject: [PATCH v2 1/4] gnu: lua-luv: Update to 1.43.0-0.
Date: Tue, 17 May 2022 20:16:44 -0300
Message-Id: <20220517231647.18336-1-luishenriquegh2701@HIDDEN>
X-Mailer: git-send-email 2.36.0
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  * gnu/packages/libevent.scm (libuv-for-luv): New variable
 * gnu/packages/lua.scm (lua-luv): Update to 1.43.0-0. [inputs]: Change libuv
 to libuv-for-luv. [native-inputs]: Update lua-compat-5.3 to 0.10. [...] 
 Content analysis details:   (1.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (luishenriquegh2701[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (luishenriquegh2701[at]gmail.com)
 1.6 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: ambrevar.xyz (xyz)]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.167.179 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.167.179 listed in wl.mailspike.net]
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
X-Debbugs-Envelope-To: 55045
Cc: Luis Henrique Gomes Higino <luishenriquegh2701@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.9 (/)

* gnu/packages/libevent.scm (libuv-for-luv): New variable
* gnu/packages/lua.scm (lua-luv): Update to 1.43.0-0.
[inputs]: Change libuv to libuv-for-luv.
[native-inputs]: Update lua-compat-5.3 to 0.10.
---
 gnu/packages/libevent.scm | 17 +++++++++++++++++
 gnu/packages/lua.scm      | 13 +++++++------
 2 files changed, 24 insertions(+), 6 deletions(-)

diff --git a/gnu/packages/libevent.scm b/gnu/packages/libevent.scm
index b3a5cd915e..d807315906 100644
--- a/gnu/packages/libevent.scm
+++ b/gnu/packages/libevent.scm
@@ -7,6 +7,7 @@
 ;;; Copyright © 2017 Efraim Flashner <efraim@HIDDEN>
 ;;; Copyright © 2018, 2019 Tobias Geerinckx-Rice <me@HIDDEN>
 ;;; Copyright © 2019 Pierre Neidhardt <mail@HIDDEN>
+;;; Copyright © 2022 Luis Henrique Gomes Higino <luishenriquegh2701@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -169,6 +170,22 @@ (define-public libuv-julia
       (home-page "https://github.com/JuliaLang/libuv")
       (properties '((hidden? . #t))))))
 
+(define-public libuv-for-luv
+  ;; When upgrading make-lua-luv, also upgrade this. Get the version from
+  ;; https://github.com/luvit/luv/blob/master/CMakeLists.txt
+  (package
+    (inherit libuv)
+    (name "libuv")
+    (version "1.43.0")
+    (source (origin
+              (method url-fetch)
+              (uri (string-append "https://dist.libuv.org/dist/v" version
+                                  "/libuv-v" version ".tar.gz"))
+              (sha256
+               (base32
+                "194kwq3jfj9s628kzkchdca534rikjw0xiyas0cjbphqmsvjpmwh"))))
+    (properties '((hidden? . #t)))))
+
 (define-public perl-anyevent
   (package
     (name "perl-anyevent")
diff --git a/gnu/packages/lua.scm b/gnu/packages/lua.scm
index ee4b7727e0..0662b2d064 100644
--- a/gnu/packages/lua.scm
+++ b/gnu/packages/lua.scm
@@ -16,6 +16,7 @@
 ;;; Copyright © 2021 Vinícius dos Santos Oliveira <vini.ipsmaker@HIDDEN>
 ;;; Copyright © 2021 Greg Hogan <code@HIDDEN>
 ;;; Copyright © 2022 Brandon Lucas <br@HIDDEN>
+;;; Copyright © 2022 Luis Henrique Gomes Higino <luishenriquegh2701@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -785,7 +786,7 @@ (define-public lua5.2-lpeg
 (define (make-lua-luv name lua)
   (package
     (name name)
-    (version "1.32.0-0")
+    (version "1.43.0-0")
     (source (origin
               ;; The release tarball includes the sources of libuv but does
               ;; not include the pkg-config files.
@@ -796,7 +797,7 @@ (define (make-lua-luv name lua)
               (file-name (git-file-name name version))
               (sha256
                (base32
-                "0c65c1lhbl0axnyks3910gjs0z0hw7w6jvl07g8kbpnbvfl4qajh"))))
+                "1yzi4bm845vl84wyv2qw4z1n1v285lgwm681swmp84brfy2s7czp"))))
     (build-system cmake-build-system)
     (arguments
      `(#:tests? #f                      ; there are none
@@ -813,22 +814,22 @@ (define (make-lua-luv name lua)
              (copy-recursively (assoc-ref inputs "lua-compat")
                                "lua-compat")
              (setenv "CPATH"
-                     (string-append (getcwd) "/lua-compat:"
+                     (string-append (getcwd) "/lua-compat/c-api:"
                                     (or (getenv "CPATH") "")))
              #t)))))
     (inputs
-     (list lua libuv))
+     (list lua libuv-for-luv))
     (native-inputs
      `(("lua-compat"
         ,(origin
            (method git-fetch)
            (uri (git-reference
                  (url "https://github.com/keplerproject/lua-compat-5.3")
-                 (commit "daebe77a2f498817713df37f0bb316db1d82222f")))
+                 (commit "v0.10")))
            (file-name "lua-compat-5.3-checkout")
            (sha256
             (base32
-             "02a14nvn7aggg1yikj9h3dcf8aqjbxlws1bfvqbpfxv9d5phnrpz"))))))
+             "1caxn228gx48g6kymp9w7kczgxcg0v0cd5ixsx8viybzkd60dcn4"))))))
     (home-page "https://github.com/luvit/luv/")
     (synopsis "Libuv bindings for Lua")
     (description
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55045; Package guix-patches. Full text available.

Message received at 55045 <at> debbugs.gnu.org:


Received: (at 55045) by debbugs.gnu.org; 17 May 2022 23:03:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 17 19:03:05 2022
Received: from localhost ([127.0.0.1]:58327 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nr6DZ-00009R-5G
	for submit <at> debbugs.gnu.org; Tue, 17 May 2022 19:03:05 -0400
Received: from mail-oa1-f44.google.com ([209.85.160.44]:37486)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luishenriquegh2701@HIDDEN>) id 1nr6DX-00008v-Kg
 for 55045 <at> debbugs.gnu.org; Tue, 17 May 2022 19:03:03 -0400
Received: by mail-oa1-f44.google.com with SMTP id
 586e51a60fabf-f17f1acffeso539698fac.4
 for <55045 <at> debbugs.gnu.org>; Tue, 17 May 2022 16:03:03 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=references:user-agent:from:to:cc:subject:date:in-reply-to
 :message-id:mime-version;
 bh=UomTDL4oKcMRadIDnGY1Swmp3PU7HaDU0Oo+7Ho9Wfo=;
 b=QxFNAUhwDmytZoXXEe6vITH9oHjloac/o6lIsx2Mk3EUOLcxwITTsR5D0ivk4aJIEx
 Pvhc2ipkdpgyCJf3y4KrUTEuXyDGyCisCNfy4qxNtagTSh5SwtBzVIM7B3UksVTFbz1E
 A6C31Jr1C2IrKXpY+uV2u2LF+lghyOIe+KHk8RfbV+Jan58Hj4ZeIZceuGlzSkOnq5e4
 TPlBewUiDTFaR20Mnmnr03tmKj9MyQtHDBWnCiyhl9IpujlWG1uuB9kMBi0JlefHghkI
 JGhryxVKpunx/CxnK4bPbZ+cc2CMTd4nhb8GPB9MW96Uft9vdZ4XcdzuFjw2vVEFs4Oi
 Rb4A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:references:user-agent:from:to:cc:subject:date
 :in-reply-to:message-id:mime-version;
 bh=UomTDL4oKcMRadIDnGY1Swmp3PU7HaDU0Oo+7Ho9Wfo=;
 b=FhuCusc7FmxxOPim4VxoXItpIXN0YY2FfVWOXcMQdMeZHcCOBVI7pdzovcDaNuG/k1
 mgHG0iLDo6dZ0rC+0erkU0jVKWeD1tzLt/EztoMGKWxJ3T+adS2egHjMtlfNjK2ITwuG
 hQqondT3J+fCjQTjCl0XIcA3KOBwsChF/K22c5kga9mMeu/fKLlyEcLgBCm6TARi7a+7
 yTCy84nBtg2Q7arTR9PjmRJMwCwS90/Nxz4GJ1N1/Ad+aztxiH53BAF6MZR+h6wdSrvR
 Ut4+VYGiINcHz8uH/QV4DeaL0WHdaTvct7nKh5lKMm3VSwTPiFZ0JFo8XhybjkS4nzPG
 h6Fg==
X-Gm-Message-State: AOAM5312Fv/L4Kls3SfLaRMyFp0U7h72f+iI25FMcVDUmbLR6iLdBVgA
 4xunwiZnBJtKjwczh5LUzUt71ttfL6MPxCe4
X-Google-Smtp-Source: ABdhPJxArgpyZaU3Kk7lVmc+hfXYNDMixvDqzKJmmN8nnwfC0lk28UUzTai2X/5DLjmyqb+/oFL7xw==
X-Received: by 2002:a05:6870:14c5:b0:e9:3ce0:47e0 with SMTP id
 l5-20020a05687014c500b000e93ce047e0mr13963414oab.274.1652828577722; 
 Tue, 17 May 2022 16:02:57 -0700 (PDT)
Received: from LenovoGuix ([2804:1b3:c200:fc7:399f:1d5:1b26:e154])
 by smtp.gmail.com with ESMTPSA id
 k22-20020a056870959600b000e686d1386asm431039oao.4.2022.05.17.16.02.55
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 17 May 2022 16:02:57 -0700 (PDT)
References: <87mtgf63xj.fsf@HIDDEN> <87h76l6hrj.fsf@HIDDEN>
 <87tuacala3.fsf_-_@HIDDEN> <87ilqkdnlv.fsf@HIDDEN>
 <50ac4dd6-33ed-1ae6-6050-8d4cbd892546@HIDDEN>
User-agent: mu4e 1.6.10; emacs 27.2
From: Luis Henrique Gomes Higino <luishenriquegh2701@HIDDEN>
To: Imran Iqbal <imran@HIDDEN>
Subject: Re: bug#55045: [PATCH] update neovim to 0.7.0
Date: Tue, 17 May 2022 20:01:11 -0300
In-reply-to: <50ac4dd6-33ed-1ae6-6050-8d4cbd892546@HIDDEN>
Message-ID: <87zgjfwyne.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 55045
Cc: 55045 <at> debbugs.gnu.org, Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)


Hi Imran,

Imran Iqbal <imran@HIDDEN> writes:

>
> I think this makes sense as it would seem lua-luv is being built 
> with
> 1.43 but neovim is being compiled against 1.41?
>
> Cheers,
> Imran

Oh lord, that was it -_-. I don't believe I missed this. I'll be 
sending the new patch series in just a minute. Thank you very 
much!

Regards,
-- 
Luis H. Higino




Information forwarded to guix-patches@HIDDEN:
bug#55045; Package guix-patches. Full text available.

Message received at 55045 <at> debbugs.gnu.org:


Received: (at 55045) by debbugs.gnu.org; 17 May 2022 22:49:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 17 18:49:50 2022
Received: from localhost ([127.0.0.1]:58301 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nr60k-0008E7-Ly
	for submit <at> debbugs.gnu.org; Tue, 17 May 2022 18:49:50 -0400
Received: from out2-smtp.messagingengine.com ([66.111.4.26]:33611)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <imran@HIDDEN>) id 1nr60j-0008Du-EW
 for 55045 <at> debbugs.gnu.org; Tue, 17 May 2022 18:49:49 -0400
Received: from compute3.internal (compute3.nyi.internal [10.202.2.43])
 by mailout.nyi.internal (Postfix) with ESMTP id 298685C01DC;
 Tue, 17 May 2022 18:49:44 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute3.internal (MEProxy); Tue, 17 May 2022 18:49:44 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=imraniqbal.org;
 h=cc:cc:content-transfer-encoding:content-type:date:date:from
 :from:in-reply-to:in-reply-to:message-id:mime-version:references
 :reply-to:sender:subject:subject:to:to; s=fm3; t=1652827784; x=
 1652914184; bh=gXbvRK7pRAUoOJ+a712aq3q5dmz891jH56BVbMuNUA4=; b=Z
 y68K0ndWdnhkf0wR5/Z08+HCucIi0jCekV9676TA8nkeMgAhr/fNGsUqVz3Pvlw+
 x541U0OkA8oO2cLkmY9Ixb/CiI01SLYdb60I7b5eKZOrdwM5MeIOqRk5iAD9yFBE
 tx0CbKFOXICoJfwnwnD2GJlYhIWJlco6RmM4aBwdQMb1nJtvaIYQW3zlFSyIy9+D
 sU3AHV/XSD06kbv6a1J/KA7Bg+Afn15ImFZlJNXt8ifDiTLlfuDLF5NVPfi1n4b1
 yluq6uYgBoE2Btd6jBaSP74SO92PskU72fPW0URurGJ0bVOJqTwfJmXsfxBsxKCg
 Fe2UEN0mNsBiAm4JXowkQ==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:cc:content-transfer-encoding
 :content-type:date:date:feedback-id:feedback-id:from:from
 :in-reply-to:in-reply-to:message-id:mime-version:references
 :reply-to:sender:subject:subject:to:to:x-me-proxy:x-me-proxy
 :x-me-sender:x-me-sender:x-sasl-enc; s=fm1; t=1652827784; x=
 1652914184; bh=gXbvRK7pRAUoOJ+a712aq3q5dmz891jH56BVbMuNUA4=; b=R
 KyCqT2zUIvbP8jkwWw6e9SUAGQ35Jm2nPg4bnKDNHNYUCj9V6RdEIoUjvxFlxAls
 kaB7YH9yOfYHXQqm+2D4dPlkcu8eI4xSfBdjE0UKjkLWdDh0CLnj+XEMao4WTQ7R
 yiSugZ51dcrixIW/tg0K2wimR7LdB9IwTtKQRPk95lySQLqeElVq3pvnFwHra37f
 FvTN0iEnxgof+mnl9t5/bb4Ye/hQZxeDtKQ3CiXOljsR+hPZrM0cZBTd3OSlbNlE
 07yUErCcbl0PvB187ifzH6ObHooOWUbFmp9tCI7+CYUzTwBY1p0mW1w8gG5Ysxja
 DKEtSkTdMSOHUeJWFEtFw==
X-ME-Sender: <xms:hyaEYscATtND5eL3ZMFNwm-9G8xCUAFosCRjxzMtIMxT6moZHgbqDg>
 <xme:hyaEYuM6U57RZs2BD1TqZxUh4kBrEPPeUAaybJ9OWCEk-c5vXwD-H-M58eziw9-ng
 EAJ-QfpxHpDPlxZfWo>
X-ME-Received: <xmr:hyaEYthc_Eq9gnaEN3RvtjFlGy4hEUaHNKMuJXFkw1XDvVCsiK6w2T6Pe5O1LU2ax2gk-BMYnPJR7x39RWgbF_CHreSq3FdhmoJ44th5F06n0V525raWtCMerQ>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvfedrheekgddufecutefuodetggdotefrodftvf
 curfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfghnecu
 uegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenuc
 fjughrpefkffggfgfuvfevfhfhjggtgfesthejredttdefjeenucfhrhhomhepkfhmrhgr
 nhcukfhqsggrlhcuoehimhhrrghnsehimhhrrghnihhqsggrlhdrohhrgheqnecuggftrf
 grthhtvghrnhepjeehudevhffgveetudfhteeijeevffegudetgfehjeeuhedtiedtkeet
 geehvdetnecuffhomhgrihhnpehgihhthhhusgdrtghomhenucevlhhushhtvghrufhiii
 gvpedtnecurfgrrhgrmhepmhgrihhlfhhrohhmpehimhhrrghnsehimhhrrghnihhqsggr
 lhdrohhrgh
X-ME-Proxy: <xmx:hyaEYh8E4dSRU2jrxaxoymlGPlabPWqUYhAsKI2q2FOUZBypcwaR3g>
 <xmx:hyaEYotfWrh4ZEBEaZpkRabD7mu2Sv-N6E5pO4u_q22C8CgZ5z0xQw>
 <xmx:hyaEYoEsXM_j-qBrOvsiV7o2DyNjanQ-KkTYZkqInFiBYx1R9c0iwA>
 <xmx:iCaEYlXUYidR30cYlXOnNiU8a4bU2cjZ9uMS9wXVT5LWYhyXNXrT-Q>
Feedback-ID: ic6d14408:Fastmail
Received: by mail.messagingengine.com (Postfix) with ESMTPA; Tue,
 17 May 2022 18:49:43 -0400 (EDT)
Message-ID: <50ac4dd6-33ed-1ae6-6050-8d4cbd892546@HIDDEN>
Date: Tue, 17 May 2022 18:49:43 -0400
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:91.0) Gecko/20100101
 Thunderbird/91.9.0
Subject: Re: bug#55045: [PATCH] update neovim to 0.7.0
Content-Language: en-GB
To: 55045 <at> debbugs.gnu.org,
 Luis Henrique Gomes Higino <luishenriquegh2701@HIDDEN>
References: <87mtgf63xj.fsf@HIDDEN> <87h76l6hrj.fsf@HIDDEN>
 <87tuacala3.fsf_-_@HIDDEN> <87ilqkdnlv.fsf@HIDDEN>
From: Imran Iqbal <imran@HIDDEN>
In-Reply-To: <87ilqkdnlv.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 55045
Cc: =?UTF-8?Q?Ludovic_Court=c3=a8s?= <ludo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi Luis,

> I have introduced libuv-for-luv, updated it to version 1.43.0 and put it> as the new input for make-lua-luv
Was the input for neovim also updated (it links against libuv as well)

> /gnu/store/l1s7piwdgv6gn5wyma8kv4jyb4fq50qm-lua5.1-luv-1.43.0-0/lib/libluv.so:
> undefined reference to `uv_try_write2'

`uv_try_write2` was introduced in libuv 1.42.0 see:
https://github.com/libuv/libuv/blob/730e07e2f77a4001bdf6894112271c926399f5a8/ChangeLog#L313


> I have experimented a bit with the libuv versions and only using 1.41.1
> this doesn't happen.

I think this makes sense as it would seem lua-luv is being built with
1.43 but neovim is being compiled against 1.41?

Cheers,
Imran




Information forwarded to guix-patches@HIDDEN:
bug#55045; Package guix-patches. Full text available.

Message received at 55045 <at> debbugs.gnu.org:


Received: (at 55045) by debbugs.gnu.org; 5 May 2022 15:08:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 05 11:08:03 2022
Received: from localhost ([127.0.0.1]:46206 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nmd5C-0005Jt-VX
	for submit <at> debbugs.gnu.org; Thu, 05 May 2022 11:08:03 -0400
Received: from mail-oa1-f46.google.com ([209.85.160.46]:44565)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luishenriquegh2701@HIDDEN>) id 1nmd55-0005Ja-4H
 for 55045 <at> debbugs.gnu.org; Thu, 05 May 2022 11:07:57 -0400
Received: by mail-oa1-f46.google.com with SMTP id
 586e51a60fabf-ed9a75c453so4450957fac.11
 for <55045 <at> debbugs.gnu.org>; Thu, 05 May 2022 08:07:51 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=references:user-agent:from:to:cc:subject:date:in-reply-to
 :message-id:mime-version:content-transfer-encoding;
 bh=V+PPH7YxENaUJb/5IdP33WBHANOWxlDjVlOXdx3IESA=;
 b=I91tos+f6xHnD4nmyeSlziz7uAHlUdUh24iVa80E4z2h3OC93KBvxTl7/ugHUYmjb1
 C4be9NsbT7j1YAT5PHP8t4LYIQD+QTde3ZC6ED9P3PLyQ0FOKFX1ycifWtnwW1aeBRqP
 ok7cDrv/rZrxoXk5LW3BycVuay8AZzIDoueXDSTiFa6vRWm/2IIlCvfBP+1AAN69cVvk
 oxHH2q54Lo+CoXur4KGTkmyA9XIlqJFxIAcfWnE+0qD3jn1i3xe+iPObLAq86cqVC01b
 tsi8fmjm2oJO6HgJN2l7yKdW9kmt8hIsRw9GUW5d0HVyZencaP5eoffoorMzWruI6JnT
 S8Iw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:references:user-agent:from:to:cc:subject:date
 :in-reply-to:message-id:mime-version:content-transfer-encoding;
 bh=V+PPH7YxENaUJb/5IdP33WBHANOWxlDjVlOXdx3IESA=;
 b=1Fn8d21TV8Yev4LO075zUJJPjWP18zseTm/G9f9RhlXu4lHeqxzNQ1C5nWHkFmNvHv
 YSLf7iFcR1d4Bzuc9Y2m9YHhbl/F85iJ5MDdRaDv+eahFqbGIUJ+sHuRxlnS1T1rQdmH
 b7hpGRlXuXMTlev7oRPRs5FUcLhjHJVY10L6GUI5K/emu3e3RFFppzm5N9Gh12lauXce
 tiI12KmYct4J54oHyh3qeB2tqL3unYcydWOznDWizyrUR9ITcUsugDzWAh8TmfydBuV2
 inhcG0WBuLzWfiE6OAQW/MOj/mKh5sW+Me1wbQ20Ed6tQo5WfiRh9Y+tA1aWvqJAsAWz
 bTDQ==
X-Gm-Message-State: AOAM531nd/tdx6zpv/ZSoHZjjJEMfOZ4Ry7HFr5hWggINmHmF/dH9e8Y
 W+2dWfxyk6syQPyMHri2tYNQYJl544PB0A==
X-Google-Smtp-Source: ABdhPJwI9epreK6WPxWsyNnV8VBNw8T8v19AfVGaC0Q+SKIQtc5cNVgvx6X+esNIMq7cD6Zhpa5exw==
X-Received: by 2002:a05:6870:f208:b0:ed:9976:1636 with SMTP id
 t8-20020a056870f20800b000ed99761636mr2447743oao.207.1651763265371; 
 Thu, 05 May 2022 08:07:45 -0700 (PDT)
Received: from LenovoGuix ([2804:7f2:2787:e10d:7cb7:6579:9e02:ec2b])
 by smtp.gmail.com with ESMTPSA id
 w13-20020a056870b38d00b000e93d386d97sm560254oap.31.2022.05.05.08.07.43
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 05 May 2022 08:07:44 -0700 (PDT)
References: <87mtgf63xj.fsf@HIDDEN> <87h76l6hrj.fsf@HIDDEN>
 <87tuacala3.fsf_-_@HIDDEN>
User-agent: mu4e 1.6.10; emacs 27.2
From: Luis Henrique Gomes Higino <luishenriquegh2701@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#55045: [PATCH] update neovim to 0.7.0
Date: Thu, 05 May 2022 12:02:02 -0300
In-reply-to: <87tuacala3.fsf_-_@HIDDEN>
Message-ID: <87ilqkdnlv.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 55045
Cc: 55045 <at> debbugs.gnu.org, Imran Iqbal <imran@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

Hi,

Ludovic Court=C3=A8s <ludo@HIDDEN> writes:

> Hi,
>
> Luis Henrique Gomes Higino <luishenriquegh2701@HIDDEN>=20
> skribis:
>
>> I think you're right, but I'm somewhat unsure about updating=20
>> libuv, as
>> it would cause 13346 packages to be rebuilt =F0=9F=98=9F. According to=20
>> the Guix
>> manual, this would result in this patch having to be applied in=20
>> the
>> core-updates branch, which could delay neovim's update=20
>> significantly.
>
> What you can do is introduce a libuv variant for the version=20
> that neovim
> needs, as long the lines of the first example at:
>
>   https://guix.gnu.org/manual/devel/en/html_node/Defining-Package-Variant=
s.html
>
> HTH!
>
> Ludo=E2=80=99.

I have introduced libuv-for-luv, updated it to version 1.43.0 and=20
put it as the new input for make-lua-luv. Its code follows:

--8<---------------cut here---------------start------------->8---
(define-public libuv-for-luv
  ;; When upgrading make-lua-luv, also upgrade this. Get the=20
  version from
  ;; https://github.com/luvit/luv/blob/master/CMakeLists.txt
  (package
    (inherit libuv)
    (name "libuv")
    (version "1.43.0")
    (source (origin
              (method url-fetch)
              (uri (string-append "https://dist.libuv.org/dist/v"=20
              version
                                  "/libuv-v" version ".tar.gz"))
              (sha256
               (base32
                "194kwq3jfj9s628kzkchdca534rikjw0xiyas0cjbphqmsvjpmwh"))))
    (properties '((hidden? . #t)))))
--8<---------------cut here---------------end--------------->8---

Each version of lua-luv built fine, but building neovim now throws=20
this error:

--8<---------------cut here---------------start------------->8---
/gnu/store/069aq2v993kpc41yabp5b6vm4wb9jkhg-gcc-10.3.0/bin/gcc=20
-DNVIM_TS_HAS_SET_MATCH_LIMIT -DNVIM_TS_HAS_SET_ALLOCATOR -O2 -g=20
-Og -g -flto -fno-fat-lto-objects  -Wl,--no-undefined=20
-Wl,--export-dynamic -rdynamic=20
CMakeFiles/nvim.dir/auto/lua_api_c_bindings.generated.c.o=20
CMakeFiles/nvim.dir/__/__/config/auto/pathdef.c.o=20
CMakeFiles/nvim.dir/api/autocmd.c.o=20
CMakeFiles/nvim.dir/api/buffer.c.o=20
CMakeFiles/nvim.dir/api/deprecated.c.o=20
CMakeFiles/nvim.dir/api/extmark.c.o=20
CMakeFiles/nvim.dir/api/private/converter.c.o=20
CMakeFiles/nvim.dir/api/private/dispatch.c.o=20
CMakeFiles/nvim.dir/api/private/helpers.c.o=20
CMakeFiles/nvim.dir/api/tabpage.c.o CMakeFiles/nvim.dir/api/ui.c.o=20
CMakeFiles/nvim.dir/api/vim.c.o=20
CMakeFiles/nvim.dir/api/vimscript.c.o=20
CMakeFiles/nvim.dir/api/win_config.c.o=20
CMakeFiles/nvim.dir/api/window.c.o CMakeFiles/nvim.dir/arabic.c.o=20
CMakeFiles/nvim.dir/autocmd.c.o CMakeFiles/nvim.dir/buffer.c.o=20
CMakeFiles/nvim.dir/buffer_updates.c.o=20
CMakeFiles/nvim.dir/change.c.o CMakeFiles/nvim.dir/channel.c.o=20
CMakeFiles/nvim.dir/charset.c.o CMakeFiles/nvim.dir/context.c.o=20
CMakeFiles/nvim.dir/cursor.c.o=20
CMakeFiles/nvim.dir/cursor_shape.c.o=20
CMakeFiles/nvim.dir/debugger.c.o=20
CMakeFiles/nvim.dir/decoration.c.o=20
CMakeFiles/nvim.dir/decoration_provider.c.o=20
CMakeFiles/nvim.dir/diff.c.o CMakeFiles/nvim.dir/digraph.c.o=20
CMakeFiles/nvim.dir/edit.c.o CMakeFiles/nvim.dir/eval.c.o=20
CMakeFiles/nvim.dir/eval/decode.c.o=20
CMakeFiles/nvim.dir/eval/encode.c.o=20
CMakeFiles/nvim.dir/eval/executor.c.o=20
CMakeFiles/nvim.dir/eval/funcs.c.o CMakeFiles/nvim.dir/eval/gc.c.o=20
CMakeFiles/nvim.dir/eval/typval.c.o=20
CMakeFiles/nvim.dir/eval/userfunc.c.o=20
CMakeFiles/nvim.dir/event/libuv_process.c.o=20
CMakeFiles/nvim.dir/event/loop.c.o=20
CMakeFiles/nvim.dir/event/multiqueue.c.o=20
CMakeFiles/nvim.dir/event/process.c.o=20
CMakeFiles/nvim.dir/event/rstream.c.o=20
CMakeFiles/nvim.dir/event/signal.c.o=20
CMakeFiles/nvim.dir/event/socket.c.o=20
CMakeFiles/nvim.dir/event/stream.c.o=20
CMakeFiles/nvim.dir/event/time.c.o=20
CMakeFiles/nvim.dir/event/wstream.c.o=20
CMakeFiles/nvim.dir/ex_cmds.c.o CMakeFiles/nvim.dir/ex_cmds2.c.o=20
CMakeFiles/nvim.dir/ex_docmd.c.o CMakeFiles/nvim.dir/ex_eval.c.o=20
CMakeFiles/nvim.dir/ex_getln.c.o=20
CMakeFiles/nvim.dir/ex_session.c.o CMakeFiles/nvim.dir/extmark.c.o=20
CMakeFiles/nvim.dir/file_search.c.o CMakeFiles/nvim.dir/fileio.c.o=20
CMakeFiles/nvim.dir/fold.c.o CMakeFiles/nvim.dir/garray.c.o=20
CMakeFiles/nvim.dir/getchar.c.o CMakeFiles/nvim.dir/hardcopy.c.o=20
CMakeFiles/nvim.dir/hashtab.c.o CMakeFiles/nvim.dir/highlight.c.o=20
CMakeFiles/nvim.dir/highlight_group.c.o=20
CMakeFiles/nvim.dir/if_cscope.c.o CMakeFiles/nvim.dir/indent.c.o=20
CMakeFiles/nvim.dir/indent_c.c.o CMakeFiles/nvim.dir/input.c.o=20
CMakeFiles/nvim.dir/keymap.c.o CMakeFiles/nvim.dir/log.c.o=20
CMakeFiles/nvim.dir/lua/converter.c.o=20
CMakeFiles/nvim.dir/lua/executor.c.o=20
CMakeFiles/nvim.dir/lua/spell.c.o=20
CMakeFiles/nvim.dir/lua/stdlib.c.o=20
CMakeFiles/nvim.dir/lua/treesitter.c.o=20
CMakeFiles/nvim.dir/lua/xdiff.c.o CMakeFiles/nvim.dir/main.c.o=20
CMakeFiles/nvim.dir/map.c.o CMakeFiles/nvim.dir/mark.c.o=20
CMakeFiles/nvim.dir/marktree.c.o CMakeFiles/nvim.dir/match.c.o=20
CMakeFiles/nvim.dir/math.c.o CMakeFiles/nvim.dir/mbyte.c.o=20
CMakeFiles/nvim.dir/memfile.c.o CMakeFiles/nvim.dir/memline.c.o=20
CMakeFiles/nvim.dir/memory.c.o CMakeFiles/nvim.dir/menu.c.o=20
CMakeFiles/nvim.dir/message.c.o CMakeFiles/nvim.dir/mouse.c.o=20
CMakeFiles/nvim.dir/move.c.o=20
CMakeFiles/nvim.dir/msgpack_rpc/channel.c.o=20
CMakeFiles/nvim.dir/msgpack_rpc/helpers.c.o=20
CMakeFiles/nvim.dir/msgpack_rpc/server.c.o=20
CMakeFiles/nvim.dir/normal.c.o CMakeFiles/nvim.dir/ops.c.o=20
CMakeFiles/nvim.dir/option.c.o CMakeFiles/nvim.dir/os/dl.c.o=20
CMakeFiles/nvim.dir/os/env.c.o CMakeFiles/nvim.dir/os/fileio.c.o=20
CMakeFiles/nvim.dir/os/fs.c.o CMakeFiles/nvim.dir/os/input.c.o=20
CMakeFiles/nvim.dir/os/lang.c.o CMakeFiles/nvim.dir/os/mem.c.o=20
CMakeFiles/nvim.dir/os/process.c.o=20
CMakeFiles/nvim.dir/os/pty_process_unix.c.o=20
CMakeFiles/nvim.dir/os/shell.c.o CMakeFiles/nvim.dir/os/signal.c.o=20
CMakeFiles/nvim.dir/os/stdpaths.c.o=20
CMakeFiles/nvim.dir/os/time.c.o CMakeFiles/nvim.dir/os/tty.c.o=20
CMakeFiles/nvim.dir/os/users.c.o CMakeFiles/nvim.dir/os_unix.c.o=20
CMakeFiles/nvim.dir/path.c.o CMakeFiles/nvim.dir/plines.c.o=20
CMakeFiles/nvim.dir/popupmnu.c.o CMakeFiles/nvim.dir/profile.c.o=20
CMakeFiles/nvim.dir/quickfix.c.o CMakeFiles/nvim.dir/rbuffer.c.o=20
CMakeFiles/nvim.dir/regexp.c.o CMakeFiles/nvim.dir/runtime.c.o=20
CMakeFiles/nvim.dir/screen.c.o CMakeFiles/nvim.dir/search.c.o=20
CMakeFiles/nvim.dir/sha256.c.o CMakeFiles/nvim.dir/shada.c.o=20
CMakeFiles/nvim.dir/sign.c.o CMakeFiles/nvim.dir/spell.c.o=20
CMakeFiles/nvim.dir/spellfile.c.o CMakeFiles/nvim.dir/state.c.o=20
CMakeFiles/nvim.dir/strings.c.o CMakeFiles/nvim.dir/syntax.c.o=20
CMakeFiles/nvim.dir/tag.c.o CMakeFiles/nvim.dir/terminal.c.o=20
CMakeFiles/nvim.dir/testing.c.o CMakeFiles/nvim.dir/tui/input.c.o=20
CMakeFiles/nvim.dir/tui/terminfo.c.o=20
CMakeFiles/nvim.dir/tui/tui.c.o CMakeFiles/nvim.dir/ugrid.c.o=20
CMakeFiles/nvim.dir/ui.c.o CMakeFiles/nvim.dir/ui_bridge.c.o=20
CMakeFiles/nvim.dir/ui_client.c.o=20
CMakeFiles/nvim.dir/ui_compositor.c.o CMakeFiles/nvim.dir/undo.c.o=20
CMakeFiles/nvim.dir/version.c.o=20
CMakeFiles/nvim.dir/viml/parser/expressions.c.o=20
CMakeFiles/nvim.dir/viml/parser/parser.c.o=20
CMakeFiles/nvim.dir/window.c.o=20
CMakeFiles/nvim.dir/__/cjson/fpconv.c.o=20
CMakeFiles/nvim.dir/__/cjson/lua_cjson.c.o=20
CMakeFiles/nvim.dir/__/cjson/strbuf.c.o=20
CMakeFiles/nvim.dir/__/mpack/conv.c.o=20
CMakeFiles/nvim.dir/__/mpack/lmpack.c.o=20
CMakeFiles/nvim.dir/__/mpack/mpack_core.c.o=20
CMakeFiles/nvim.dir/__/mpack/object.c.o=20
CMakeFiles/nvim.dir/__/mpack/rpc.c.o=20
CMakeFiles/nvim.dir/__/xdiff/xdiffi.c.o=20
CMakeFiles/nvim.dir/__/xdiff/xemit.c.o=20
CMakeFiles/nvim.dir/__/xdiff/xhistogram.c.o=20
CMakeFiles/nvim.dir/__/xdiff/xpatience.c.o=20
CMakeFiles/nvim.dir/__/xdiff/xprepare.c.o=20
CMakeFiles/nvim.dir/__/xdiff/xutils.c.o -o ../../bin/nvim=20
-Wl,-rpath,::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::=20
-fstack-protector-strong=20
/gnu/store/l1s7piwdgv6gn5wyma8kv4jyb4fq50qm-lua5.1-luv-1.43.0-0/lib/libluv.=
so=20
/gnu/store/z31c2rnjg9djq915ls98pv0mhjbyf423-libuv-1.41.1/lib/libuv.so=20
-ldl -ldl -lrt -lpthread=20
/gnu/store/90s2wdqxbxmp8zzbg5ml6pv7k31wskg7-msgpack-3.3.0/lib/libmsgpackc.s=
o=20
/gnu/store/h0h9f53kiwn19qz60lfgk71dnb9khgqx-libvterm-0.1.4/lib/libvterm.so=
=20
/gnu/store/m5nsirsx5ksl7shgvgfrg59sy9c8k015-libtermkey-0.22/lib/libtermkey.=
so=20
/gnu/store/ryy66y1fba3ffnzrhvdfgncxwplg84fs-unibilium-2.0.0/lib/libunibiliu=
m.so=20
/gnu/store/vrpll9ix25z91jl2y19lxdij429hndp8-tree-sitter-0.20.6/lib/libtree-=
sitter.so=20
-lpthread -lm -lutil=20
/gnu/store/n958kwq28ykfs64qrykdwns7cpgzl5j3-luajit-2.1.0-beta3/lib/libluaji=
t-5.1.so=20
/gnu/store/90s2wdqxbxmp8zzbg5ml6pv7k31wskg7-msgpack-3.3.0/lib/libmsgpackc.s=
o=20
/gnu/store/h0h9f53kiwn19qz60lfgk71dnb9khgqx-libvterm-0.1.4/lib/libvterm.so=
=20
/gnu/store/m5nsirsx5ksl7shgvgfrg59sy9c8k015-libtermkey-0.22/lib/libtermkey.=
so=20
/gnu/store/ryy66y1fba3ffnzrhvdfgncxwplg84fs-unibilium-2.0.0/lib/libunibiliu=
m.so=20
/gnu/store/vrpll9ix25z91jl2y19lxdij429hndp8-tree-sitter-0.20.6/lib/libtree-=
sitter.so=20
-lm -lutil=20
/gnu/store/n958kwq28ykfs64qrykdwns7cpgzl5j3-luajit-2.1.0-beta3/lib/libluaji=
t-5.1.so=20
ld:=20
/gnu/store/l1s7piwdgv6gn5wyma8kv4jyb4fq50qm-lua5.1-luv-1.43.0-0/lib/libluv.=
so:=20
undefined reference to `uv_try_write2'
--8<---------------cut here---------------end--------------->8---

I have experimented a bit with the libuv versions and only using=20
1.41.1 this doesn't happen.

Regards,
--=20
Luis H. Higino




Information forwarded to guix-patches@HIDDEN:
bug#55045; Package guix-patches. Full text available.

Message received at 55045 <at> debbugs.gnu.org:


Received: (at 55045) by debbugs.gnu.org; 28 Apr 2022 22:36:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 28 18:36:04 2022
Received: from localhost ([127.0.0.1]:50248 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nkCk0-0003Jz-LK
	for submit <at> debbugs.gnu.org; Thu, 28 Apr 2022 18:36:04 -0400
Received: from eggs.gnu.org ([209.51.188.92]:38260)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1nkCjz-0003JV-4b
 for 55045 <at> debbugs.gnu.org; Thu, 28 Apr 2022 18:36:03 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:33400)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1nkCjo-0001Wn-IW; Thu, 28 Apr 2022 18:35:57 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=iW8U5WKUKUw4tSA5lO1DHaip1AUlT7e1gCvmbEhFKHE=; b=MLyu59dXc1Do2+447cCA
 tbjTUx3U7Ml0Uy+cwBBHGmOeRK3fqoJ7sixO8NXyOL/5lGf8bvq4PaQn1mhCt7eO0N/pkZzRygofe
 28ORtMeFGMqLTSta1w//rdh5KeqnN/zTpzLh+/nmXpzIRBa/qskTQ3mM3Q5yOH2UILZCC2NfFTiD+
 Hs+LsL+khVcWKc5zA6zSdWiHVwJqT21WqX9g8NmN3ma1cV3hwAeA3Z7YSSyFMsuTOEyvgCubNMFo9
 AAYBBf00aHet/sfHW1h5iQbSBmYKbYrwRE1SGd+gLgicVPGX6kIFpNUIUJrSZG0FL/xmn+f1icphd
 9BKtZCCzGOQSVg==;
Received: from 91-160-117-201.subs.proxad.net ([91.160.117.201]:60841
 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1nkCjm-00080a-Bh; Thu, 28 Apr 2022 18:35:51 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Luis Henrique Gomes Higino <luishenriquegh2701@HIDDEN>
Subject: Re: bug#55045: [PATCH] update neovim to 0.7.0
References: <87mtgf63xj.fsf@HIDDEN> <87h76l6hrj.fsf@HIDDEN>
Date: Fri, 29 Apr 2022 00:35:48 +0200
In-Reply-To: <87h76l6hrj.fsf@HIDDEN> (Luis Henrique Gomes Higino's message
 of "Thu, 21 Apr 2022 22:07:33 -0300")
Message-ID: <87tuacala3.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55045
Cc: 55045 <at> debbugs.gnu.org, Imran Iqbal <imran@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi,

Luis Henrique Gomes Higino <luishenriquegh2701@HIDDEN> skribis:

> I think you're right, but I'm somewhat unsure about updating libuv, as
> it would cause 13346 packages to be rebuilt =F0=9F=98=9F. According to th=
e Guix
> manual, this would result in this patch having to be applied in the
> core-updates branch, which could delay neovim's update significantly.

What you can do is introduce a libuv variant for the version that neovim
needs, as long the lines of the first example at:

  https://guix.gnu.org/manual/devel/en/html_node/Defining-Package-Variants.=
html

HTH!

Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#55045; Package guix-patches. Full text available.

Message received at 55045 <at> debbugs.gnu.org:


Received: (at 55045) by debbugs.gnu.org; 22 Apr 2022 01:15:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 21 21:15:12 2022
Received: from localhost ([127.0.0.1]:51133 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nhhtA-0004JY-Iz
	for submit <at> debbugs.gnu.org; Thu, 21 Apr 2022 21:15:12 -0400
Received: from mail-oi1-f180.google.com ([209.85.167.180]:43586)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luishenriquegh2701@HIDDEN>) id 1nhht9-0004JE-09
 for 55045 <at> debbugs.gnu.org; Thu, 21 Apr 2022 21:15:11 -0400
Received: by mail-oi1-f180.google.com with SMTP id v65so2761229oig.10
 for <55045 <at> debbugs.gnu.org>; Thu, 21 Apr 2022 18:15:10 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=user-agent:from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=7BeJogIC6NBDpYye1ItKBGBxgHkXc/jMEohPxJUFmfA=;
 b=CUU42nXKLsd6ApDwpPiOFdc1gfpdGytVgo+C6kJY7KDcIma0o9TB+zXIw1hXuZTmYQ
 hFUMNV5loyoU24mvO7P4OEgMJMvdfmPrazFot8s7GvsgY0fQXXhAS0xatedl9NXhHoSo
 T1C8SyBRefVLgJZ+d++7TYawe8KTmHePk4szKW1hapgnnro1jHLwMkiShkBivEX5ymnz
 ZjqJcPHV+TbYX4oQ3akPEvRx2GasqgLOWcrEtesRovpVdwcF21Qf4O7Y62+sdggm3zCo
 9+VXUgfT0MLTTXZQ2NlqqPhiJQVaqtWLqIw4U/W3Qt6v/EWFnFhO3N9KOYjzw0fzfbDi
 kEzA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:user-agent:from:to:cc:subject:date:message-id
 :mime-version:content-transfer-encoding;
 bh=7BeJogIC6NBDpYye1ItKBGBxgHkXc/jMEohPxJUFmfA=;
 b=kSYsuLJopjZGHjaaFDhWJa2SR2xWkuGRLxZCOazYAEoKqahnXCLkaW4V/j3quKwEzr
 P0JQtpqCCQWaIBH8zZWoA0bSzcX78MivMklkLddmr75YqHATQlsQiHd1ixOWqE0LjEqu
 3f6YlaEPS1Lu7WxK8Siw5mKUKBHs6KIhVXtw15neLA6ImhfBO5KHCTW37RYCDb6YXWQB
 tJ1cjiPssWlYH5SzPUysKIjzzRspmJy/NMA9llwfxDy9mlgc9zTCP6FfFQiZVZ5gq2dW
 J0o9hTiyzcE3ZEkW0ytWYhpM0yl2GxmWlmukhW/TujoB5nuGdM6ICQYgKzbtf79MllbN
 idEw==
X-Gm-Message-State: AOAM531vsBHV0QStc94gJttRlfuJsMSvC6Fp2BnPuzvQz1Pd+e6PT90C
 TSfjSNT9ZKyZf0XF/M58FSU=
X-Google-Smtp-Source: ABdhPJyjLF6teS1BQPvty3O+7ObEbzP1cbEOYT7pkSx0htO3XLqW7azg4nkwJx5fFo3P205hx/IE0A==
X-Received: by 2002:a05:6808:1998:b0:323:45e5:9ee with SMTP id
 bj24-20020a056808199800b0032345e509eemr736964oib.6.1650590103987; 
 Thu, 21 Apr 2022 18:15:03 -0700 (PDT)
Received: from LenovoGuix ([2804:7f2:2787:e10d:8125:629f:8cfe:dda8])
 by smtp.gmail.com with ESMTPSA id
 z1-20020a056830128100b0060542867875sm214194otp.70.2022.04.21.18.15.02
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 21 Apr 2022 18:15:03 -0700 (PDT)
User-agent: mu4e 1.6.10; emacs 27.2
From: Luis Henrique Gomes Higino <luishenriquegh2701@HIDDEN>
To: 55045 <at> debbugs.gnu.org
Subject: Re: [PATCH] update neovim to 0.7.0
Date: Thu, 21 Apr 2022 22:07:33 -0300
Message-ID: <87h76l6hrj.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 55045
Cc: Imran Iqbal <imran@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)


Hi Imran,

I think you're right, but I'm somewhat unsure about updating=20
libuv, as it would cause 13346 packages to be rebuilt=20
=F0=9F=98=9F. According to the Guix manual, this would result in this patch=
=20
having to be applied in the core-updates branch, which could delay=20
neovim's update significantly.

Regards,
--=20
Luis H. Higino




Information forwarded to guix-patches@HIDDEN:
bug#55045; Package guix-patches. Full text available.

Message received at 55045 <at> debbugs.gnu.org:


Received: (at 55045) by debbugs.gnu.org; 21 Apr 2022 02:47:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 20 22:47:50 2022
Received: from localhost ([127.0.0.1]:48011 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nhMrG-0000cs-Eq
	for submit <at> debbugs.gnu.org; Wed, 20 Apr 2022 22:47:50 -0400
Received: from out3-smtp.messagingengine.com ([66.111.4.27]:54295)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <imran@HIDDEN>) id 1nhMrE-0000cA-QZ
 for 55045 <at> debbugs.gnu.org; Wed, 20 Apr 2022 22:47:49 -0400
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.nyi.internal (Postfix) with ESMTP id 8F2905C013E
 for <55045 <at> debbugs.gnu.org>; Wed, 20 Apr 2022 22:47:43 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute4.internal (MEProxy); Wed, 20 Apr 2022 22:47:43 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=imraniqbal.org;
 h=cc:content-transfer-encoding:content-type:date:date:from:from
 :in-reply-to:message-id:mime-version:reply-to:sender:subject
 :subject:to:to; s=fm3; t=1650509263; x=1650595663; bh=53cn1MntWA
 Zr6VvfwSvGLpoUXlFoM73eKe7/NlwlgRw=; b=qwFfHv/HHYnGm3aOj5U/YuFaTM
 41tCJtHwm7l0sSlhcNecDMg8HxIrGwpAU4lzuJ5EcO3mycOB36ymf/J1+Mmjo5x9
 nftX583FD/6hmZRQOs2TkIOMWYrG9xFaMeEUQrjovKzSSavkLFxDTLsbC8kJAwXJ
 xOz24HMtuFfzGhKQ/vzMvwAClY1JB5LnKbwpJKHHgAL/bAGxIpZwKPigk/XI43PB
 mKkjdz1DBSU1Fc7XtKGgc/QjEPLtCizqW2IieXhh5x9MTDwbr86T4kEf/gLkW5QT
 a7nTfql55R/RBjCpKfTbQUpYs7pJv1GZA5OUFu6mbiPB+vkcaxxxpBtXxDjA==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-transfer-encoding:content-type
 :date:date:from:from:in-reply-to:message-id:mime-version
 :reply-to:sender:subject:subject:to:to:x-me-proxy:x-me-proxy
 :x-me-sender:x-me-sender:x-sasl-enc; s=fm1; t=1650509263; x=
 1650595663; bh=53cn1MntWAZr6VvfwSvGLpoUXlFoM73eKe7/NlwlgRw=; b=q
 euyo9jjqFFH0PC2BVZN0WWelifUtBf64RHTzzUXUWMsVca8Mmo/RbwLmkrBPm3vp
 0SvaEzV3n4zeW4Q9aHyNc0e9tzQIzp3WGcwPSPm+W5kgQU7Ilpeo3bIbIqOq3GA3
 x9d+tfq1PJJ3IKHmR8ovU/BjiDNc9qtu6pO0RSfG0KZF/HVHRzmZznRYmn48+QFK
 h4HsHxUq32ByrTjFHaJbGjxaLddz9jnPO8tPgR8pY9MEgrtQcAyq1x5bt6s1hydn
 naVlQDiRjoHcGd5QmI/E8XkasoklDFIWnjTDdlzvMkAN5FSCjTv+QWgRItw2OsqC
 y2sTfPa89QZ3OAs6GmpoA==
X-ME-Sender: <xms:z8VgYgQ4CWiVbjBy8HBm3a-YAmmtcnHIZqKtUW0ZyhehtwB7JYmGlA>
 <xme:z8VgYtyN5vcylpUs9HA7thVEfmnXPZAbMEbWWV8q-Z24-YUPM526R4VhEr8HEnzKN
 2t1NX0EJdVxg3LHZkY>
X-ME-Received: <xmr:z8VgYt1mzjYAIbJupDb2DWa4ODzC0LcRg0IMTZRJGl6F4a8tDQli0pzomRCedX5Sgq1WVqN_KQr9yFPhWdoWKrpE1Sl9L7_IqzCSf-iZY7b9ptCYI1Hg1gY30Q>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvfedrtddugdeigecutefuodetggdotefrodftvf
 curfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfghnecu
 uegrihhlohhuthemuceftddtnecunecujfgurhepkfffgggfvffuhfgtgfesthekredttd
 efjeenucfhrhhomhepkfhmrhgrnhcukfhqsggrlhcuoehimhhrrghnsehimhhrrghnihhq
 sggrlhdrohhrgheqnecuggftrfgrthhtvghrnhepgfdtgffgfeejfffhtedttdeuffejue
 evvdevkeekleegtdevgfdukeejvdehgedvnecuffhomhgrihhnpehgihhthhhusgdrtgho
 mhdpghhnuhdrohhrghenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhgrih
 hlfhhrohhmpehimhhrrghnsehimhhrrghnihhqsggrlhdrohhrgh
X-ME-Proxy: <xmx:z8VgYkDG64RZzvk9jvpaCfGx25ahVCexg7IKm9cizOkLEbOJQv9OFw>
 <xmx:z8VgYpitxOt9B79WPAz24KbkpaTPxvetw9QpdiQbKmPxVVWsNYXTyw>
 <xmx:z8VgYgoWu2950sFJmsbZpOasGEKPvhXM-TCr8J1JHScduotZ6CV0ew>
 <xmx:z8VgYjcgZLvPpJC7HQYch45v1EyGo4MBvQ2v8yJbP8BNhhPt3sv51g>
Received: by mail.messagingengine.com (Postfix) with ESMTPA for
 <55045 <at> debbugs.gnu.org>; Wed, 20 Apr 2022 22:47:43 -0400 (EDT)
Message-ID: <dd096e8b-8735-9b41-fc80-0092f0dcfbac@HIDDEN>
Date: Wed, 20 Apr 2022 22:47:42 -0400
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:91.0) Gecko/20100101
 Thunderbird/91.8.0
To: 55045 <at> debbugs.gnu.org
Subject: [PATCH] update neovim to 0.7.0
Content-Language: en-GB
From: Imran Iqbal <imran@HIDDEN>
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 55045
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> this patch series updates lua-luv to 1.43.0-0 and neovim to 0.7.0.

I just want to add that libuv should also be updated to 1.43.0 to match
the lua-luv version: https://github.com/luvit/luv/releases/tag/1.43.0-0

I attempted to do that here: https://issues.guix.gnu.org/54982 as part
of my patch set but I messed up sending in the patches and it ended up
spread across a few issues 😅






Information forwarded to guix-patches@HIDDEN:
bug#55045; Package guix-patches. Full text available.

Message received at 55045 <at> debbugs.gnu.org:


Received: (at 55045) by debbugs.gnu.org; 20 Apr 2022 17:53:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 20 13:53:29 2022
Received: from localhost ([127.0.0.1]:47401 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nhEW8-000724-EJ
	for submit <at> debbugs.gnu.org; Wed, 20 Apr 2022 13:53:29 -0400
Received: from mail-oi1-f173.google.com ([209.85.167.173]:39890)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luishenriquegh2701@HIDDEN>) id 1nhEW6-00071Y-Kk
 for 55045 <at> debbugs.gnu.org; Wed, 20 Apr 2022 13:53:27 -0400
Received: by mail-oi1-f173.google.com with SMTP id z2so2909115oic.6
 for <55045 <at> debbugs.gnu.org>; Wed, 20 Apr 2022 10:53:26 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=qgwBCASOLdQFWbcv9YjpWJ+JsqrHIvNuACf+Lasl33w=;
 b=PQRS79mtHDTQRA24r3f7Fob71g2tjb06ewJ4cLlbAgzJUvTyx19q17YU1PMPuHTkCZ
 n8SQM6D8CfRxVhoGz54avV2NlrMeOXP16X7sd+oe0CcGJmhHTe+LJNBZppFvDmiAQrXu
 A6NFhlZXdHQkSuc1DdJM73YKtLA+eTKhKqa8qG6W2hCcVwVnV4SH9NEXAjCF2YMBNGAu
 FN+3lkWX+khe4TFmnmSAk4PGbEPmXvyq/DrAYnuxo9cBBEij0PnAVtYCIdh+ICnIR9U3
 ldhe0FF/7pYTyzP9XRgzWxx8IpVRjPu0jfMgbnE0nlcWfvPUbUMadxHBUTCGzwSuvaYh
 b+fg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=qgwBCASOLdQFWbcv9YjpWJ+JsqrHIvNuACf+Lasl33w=;
 b=yDjFPOeOMfVPfYGTMrJ+/zQQNAamV/KF5rlihetnyE+U8vcMG3HiJNUkra0Bx7M4kB
 EJZZ/pBV7IPCDqa/MjqEvSY5PQuAxkPB1jBIxTjljAKuuwVla0lEL2s0BihuKhwDmX3A
 nnhlwbSYDdVZJdhLw291NHWE1VrmJ3N79tjRstlUWiyhUdWqlk4i/+HLRB0/lker77+r
 TWG/i/vS5O7biRZ3r5+PYG3xUXSVvhHdhMCKdgSi95n0XwW0c7nageGF2DCO6S1WWZnG
 hOlAodvm8iIdX+cQW0qUMApeCjAmuMXa5WMVPX+sInlvOjoX6sv+z1yTWggy2MngD9TD
 JI8A==
X-Gm-Message-State: AOAM532JNeqiaM3rC/OcCAhhHNkMJuBEDY82uaQ27Ocp3L+x9PEmRuQN
 /lFlsQTRbBbCDW65dVFHcdyMQ6WBZWU=
X-Google-Smtp-Source: ABdhPJysGIO5s7YsWBCAh+JmnGMVjOIhIx8ONmd8djSHroTeGahXzQf53UGCkBh7K+KI4KBSF2DFFQ==
X-Received: by 2002:aca:f188:0:b0:2fa:6d3f:c316 with SMTP id
 p130-20020acaf188000000b002fa6d3fc316mr2246771oih.86.1650477200820; 
 Wed, 20 Apr 2022 10:53:20 -0700 (PDT)
Received: from localhost.localdomain ([2804:7f2:2787:e10d:8125:629f:8cfe:dda8])
 by smtp.gmail.com with ESMTPSA id
 f24-20020a9d5e98000000b006055789d903sm1935519otl.16.2022.04.20.10.53.18
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 20 Apr 2022 10:53:20 -0700 (PDT)
From: Luis Henrique Gomes Higino <luishenriquegh2701@HIDDEN>
To: 55045 <at> debbugs.gnu.org
Subject: [PATCH 4/4] gnu: neovim: replace sexps with gexps.
Date: Wed, 20 Apr 2022 14:52:41 -0300
Message-Id: <90d9b054aa3eb057828ccdfee15a224fe6d0992e.1650477097.git.luishenriquegh2701@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <abf92fc750ff1669799ca71ab315c8b6b82f5f83.1650477097.git.luishenriquegh2701@HIDDEN>
References: <abf92fc750ff1669799ca71ab315c8b6b82f5f83.1650477097.git.luishenriquegh2701@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 55045
Cc: Luis Henrique Gomes Higino <luishenriquegh2701@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

* gnu/packages/vim.scm (neovim): replace sexps with gexps.

Also run `guix style neovim`.
---
 gnu/packages/vim.scm | 153 ++++++++++++++++++++++---------------------
 1 file changed, 78 insertions(+), 75 deletions(-)

diff --git a/gnu/packages/vim.scm b/gnu/packages/vim.scm
index d04ee49775..8ded61e097 100644
--- a/gnu/packages/vim.scm
+++ b/gnu/packages/vim.scm
@@ -669,84 +669,86 @@ (define-public neovim
   (package
     (name "neovim")
     (version "0.7.0")
-    (source
-     (origin
-       (method git-fetch)
-       (uri (git-reference
-             (url "https://github.com/neovim/neovim")
-             (commit (string-append "v" version))))
-       (file-name (git-file-name name version))
-       (sha256
-        (base32 "1m7xmry66pn27gvk7qj9di83xa1h7zjp4c6ygnf218pqhr08x06g"))))
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/neovim/neovim")
+                    (commit (string-append "v" version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "1m7xmry66pn27gvk7qj9di83xa1h7zjp4c6ygnf218pqhr08x06g"))))
     (build-system cmake-build-system)
     (arguments
-     `(#:modules ((srfi srfi-26)
-                  (guix build cmake-build-system)
-                  (guix build utils))
-       #:configure-flags
-       (list ,@(if (member (if (%current-target-system)
-                               (gnu-triplet->nix-system (%current-target-system))
-                               (%current-system))
-                           (package-supported-systems luajit))
-                   '()
-                   '("-DPREFER_LUA:BOOL=YES")))
-       #:phases
-       (modify-phases %standard-phases
-         (add-after 'unpack 'set-lua-paths
-           (lambda* (#:key inputs #:allow-other-keys)
-             (let* ((lua-version "5.1")
-                    (lua-cpath-spec
-                     (lambda (prefix)
-                       (let ((path (string-append prefix "/lib/lua/" lua-version)))
-                         (string-append path "/?.so;" path "/?/?.so"))))
-                    (lua-path-spec
-                     (lambda (prefix)
-                       (let ((path (string-append prefix "/share/lua/" lua-version)))
-                         (string-append path "/?.lua;" path "/?/?.lua"))))
-                    (lua-inputs (map (cute assoc-ref inputs <>)
-                                     '("lua"
-                                       "lua-luv"
-                                       "lua-lpeg"
-                                       "lua-bitop"
-                                       "lua-libmpack"))))
-               (setenv "LUA_PATH"
-                       (string-join (map lua-path-spec lua-inputs) ";"))
-               (setenv "LUA_CPATH"
-                       (string-join (map lua-cpath-spec lua-inputs) ";"))
-               #t)))
-         (add-after 'unpack 'prevent-embedding-gcc-store-path
-           (lambda _
-             ;; nvim remembers its build options, including the compiler with
-             ;; its complete path.  This adds gcc to the closure of nvim, which
-             ;; doubles its size.  We remove the refirence here.
-             (substitute* "cmake/GetCompileFlags.cmake"
-               (("\\$\\{CMAKE_C_COMPILER\\}") "/gnu/store/.../bin/gcc"))
-             #t)))))
-    (inputs
-     `(("libuv" ,libuv)
-       ("msgpack" ,msgpack)
-       ("libtermkey" ,libtermkey)
-       ("libvterm" ,libvterm)
-       ("unibilium" ,unibilium)
-       ("jemalloc" ,jemalloc)
-       ("lua" ,(if (member (if (%current-target-system)
-                               (gnu-triplet->nix-system (%current-target-system))
-                               (%current-system))
-                           (package-supported-systems luajit))
-                   luajit
-                   lua-5.1))
-       ("lua-luv" ,lua5.1-luv)
-       ("lua-lpeg" ,lua5.1-lpeg)
-       ("lua-bitop" ,lua5.1-bitop)
-       ("lua-libmpack" ,lua5.1-libmpack)
-       ("tree-sitter" ,tree-sitter)))
-    (native-inputs
-     `(("pkg-config" ,pkg-config)
-       ("gettext" ,gettext-minimal)
-       ("gperf" ,gperf)))
+     (list #:modules
+           '((srfi srfi-26) (guix build cmake-build-system)
+             (guix build utils))
+           #:configure-flags
+           #~(list #$@(if (member (if (%current-target-system)
+                                      (gnu-triplet->nix-system (%current-target-system))
+                                      (%current-system))
+                                  (package-supported-systems luajit))
+                          '()
+                          '("-DPREFER_LUA:BOOL=YES")))
+           #:phases
+           #~(modify-phases %standard-phases
+               (add-after 'unpack 'set-lua-paths
+                 (lambda* _
+                   (let* ((lua-version "5.1")
+                          (lua-cpath-spec (lambda (prefix)
+                                            (let ((path (string-append
+                                                         prefix
+                                                         "/lib/lua/"
+                                                         lua-version)))
+                                              (string-append
+                                               path
+                                               "/?.so;"
+                                               path
+                                               "/?/?.so"))))
+                          (lua-path-spec (lambda (prefix)
+                                           (let ((path (string-append prefix
+                                                        "/share/lua/"
+                                                        lua-version)))
+                                             (string-append path "/?.lua;"
+                                                            path "/?/?.lua"))))
+                          (lua-inputs (list (or #$(this-package-input "lua")
+                                                #$(this-package-input "luajit"))
+                                            #$lua5.1-luv
+                                            #$lua5.1-lpeg
+                                            #$lua5.1-bitop
+                                            #$lua5.1-libmpack)))
+                     (setenv "LUA_PATH"
+                             (string-join (map lua-path-spec lua-inputs) ";"))
+                     (setenv "LUA_CPATH"
+                             (string-join (map lua-cpath-spec lua-inputs) ";"))
+                     #t)))
+               (add-after 'unpack 'prevent-embedding-gcc-store-path
+                 (lambda _
+                   (substitute* "cmake/GetCompileFlags.cmake"
+                     (("\\$\\{CMAKE_C_COMPILER\\}") "/gnu/store/.../bin/gcc"))
+                   #t)))))
+    (inputs (list libuv
+                  msgpack
+                  libtermkey
+                  libvterm
+                  unibilium
+                  jemalloc
+                  (if (member (if (%current-target-system)
+                                  (gnu-triplet->nix-system (%current-target-system))
+                                  (%current-system))
+                              (package-supported-systems luajit))
+                      luajit
+                      lua-5.1)
+                  lua5.1-luv
+                  lua5.1-lpeg
+                  lua5.1-bitop
+                  lua5.1-libmpack
+                  tree-sitter))
+    (native-inputs (list pkg-config gettext-minimal gperf))
     (home-page "https://neovim.io")
     (synopsis "Fork of vim focused on extensibility and agility")
-    (description "Neovim is a project that seeks to aggressively
+    (description
+     "Neovim is a project that seeks to aggressively
 refactor Vim in order to:
 
 @itemize
@@ -754,7 +756,8 @@ (define-public neovim
 @item Split the work between multiple developers
 @item Enable advanced external UIs without modifications to the core
 @item Improve extensibility with a new plugin architecture
-@end itemize\n")
+@end itemize
+")
     ;; Neovim is licensed under the terms of the Apache 2.0 license,
     ;; except for parts that were contributed under the Vim license.
     (license (list license:asl2.0 license:vim))))
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55045; Package guix-patches. Full text available.

Message received at 55045 <at> debbugs.gnu.org:


Received: (at 55045) by debbugs.gnu.org; 20 Apr 2022 17:53:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 20 13:53:23 2022
Received: from localhost ([127.0.0.1]:47398 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nhEW3-00071h-7R
	for submit <at> debbugs.gnu.org; Wed, 20 Apr 2022 13:53:23 -0400
Received: from mail-oi1-f171.google.com ([209.85.167.171]:37608)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luishenriquegh2701@HIDDEN>) id 1nhEW2-00071I-Kx
 for 55045 <at> debbugs.gnu.org; Wed, 20 Apr 2022 13:53:22 -0400
Received: by mail-oi1-f171.google.com with SMTP id q129so2923375oif.4
 for <55045 <at> debbugs.gnu.org>; Wed, 20 Apr 2022 10:53:22 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=1ZSIThxqZp9z+CpxQWpFVLjnf8V5FpoGV/lhNW2fij4=;
 b=PrBSjVbt4zOUKlPKlouYAzZ+81CfDKCCiZY+FYfJ5LYaJ2d79vio2L7z3WjAhb6Ifu
 6fkN8vyjLAfeXtHi9tQiv85WgmVk468Ypa4aikkdGsOIHUKcP8ZmrmjeHhKv7EWSRKPs
 RrlYhoHbEe3j/Jha4l+WNTrUBCaINHMJSKB6A1rteu3i9SjrXJcHbq17a8rtnt+9WH14
 vVQ4vGeB3DJxv4Pq70marE0n6yo98PggVsJdk+2FgJ+nuFpNpUAWA6wFwmSjHjeUTJFy
 pPMgxeSO4qDi/fNCn5ifV8eHZRADlfYAjUBPaYWpdEP015p9u3F48napgB6EYxQEEyb5
 QQTg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=1ZSIThxqZp9z+CpxQWpFVLjnf8V5FpoGV/lhNW2fij4=;
 b=wiZ+A3flYEbzMfANXe6KMdnm2JRzDGknf4cikP6Ey0JqwPVZ7t+XamvgmWERVoAoMt
 kn5dA5O0gDP6WCkwdSOb6Y3/uSgRPVXKUyl+tLFlHuykwidMci+Lqs+40VgEdqm+G6lV
 nS+zcCuVPIE6sG91hGpzWUwbN/jkgYR7lmW+PGmjo6ZMN0J5CACYrYu2ScYCuV2nlJQX
 EVmUzBpyrB+D5KM5Q2pGI2MuAPeBt+VWyY7IqvgERZaxMMp2/g4lX9ye2HDcaAouTRdH
 f1mxR86BUjGpMaR70sZEQJ/314OHGwnahR4aW+xSl91+hSQDURak1+WOYVAxfKcMfLLR
 jFFg==
X-Gm-Message-State: AOAM530jW2rRfVstna33A2BlJ6SplvUXbnsZwW6QiWAubyyNrz/Qy+kK
 Qhj9Ja8kaAOgHwk3YRPT/zbQBsEA/SE=
X-Google-Smtp-Source: ABdhPJwWAq5JmrjHEYYezhslUU7RodK0wdB2lQVr+RZ27+sElfnZAWXyRWQPEFu26znLZU4bv9mckQ==
X-Received: by 2002:a05:6808:17a9:b0:2fa:17b7:184d with SMTP id
 bg41-20020a05680817a900b002fa17b7184dmr2264958oib.45.1650477196814; 
 Wed, 20 Apr 2022 10:53:16 -0700 (PDT)
Received: from localhost.localdomain ([2804:7f2:2787:e10d:8125:629f:8cfe:dda8])
 by smtp.gmail.com with ESMTPSA id
 f24-20020a9d5e98000000b006055789d903sm1935519otl.16.2022.04.20.10.53.13
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 20 Apr 2022 10:53:16 -0700 (PDT)
From: Luis Henrique Gomes Higino <luishenriquegh2701@HIDDEN>
To: 55045 <at> debbugs.gnu.org
Subject: [PATCH 3/4] gnu: neovim: Update to 0.7.0.
Date: Wed, 20 Apr 2022 14:52:40 -0300
Message-Id: <2f8057a93dcd498199f587f2b4f384c90ca253a5.1650477097.git.luishenriquegh2701@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <abf92fc750ff1669799ca71ab315c8b6b82f5f83.1650477097.git.luishenriquegh2701@HIDDEN>
References: <abf92fc750ff1669799ca71ab315c8b6b82f5f83.1650477097.git.luishenriquegh2701@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 55045
Cc: Luis Henrique Gomes Higino <luishenriquegh2701@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

* gnu/packages/vim.scm (neovim): Update to 0.7.0.
---
 gnu/packages/vim.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/vim.scm b/gnu/packages/vim.scm
index 7279798fe6..d04ee49775 100644
--- a/gnu/packages/vim.scm
+++ b/gnu/packages/vim.scm
@@ -668,7 +668,7 @@ (define-public neovim-syntastic
 (define-public neovim
   (package
     (name "neovim")
-    (version "0.6.1")
+    (version "0.7.0")
     (source
      (origin
        (method git-fetch)
@@ -677,7 +677,7 @@ (define-public neovim
              (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
-        (base32 "10p6lg5yv9n6wcwdprwvvi56dfcm4wsj54nm0invyx3mhf7374lx"))))
+        (base32 "1m7xmry66pn27gvk7qj9di83xa1h7zjp4c6ygnf218pqhr08x06g"))))
     (build-system cmake-build-system)
     (arguments
      `(#:modules ((srfi srfi-26)
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55045; Package guix-patches. Full text available.

Message received at 55045 <at> debbugs.gnu.org:


Received: (at 55045) by debbugs.gnu.org; 20 Apr 2022 17:53:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 20 13:53:21 2022
Received: from localhost ([127.0.0.1]:47395 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nhEW0-00071R-W8
	for submit <at> debbugs.gnu.org; Wed, 20 Apr 2022 13:53:21 -0400
Received: from mail-oi1-f180.google.com ([209.85.167.180]:40462)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luishenriquegh2701@HIDDEN>) id 1nhEVy-000714-M4
 for 55045 <at> debbugs.gnu.org; Wed, 20 Apr 2022 13:53:18 -0400
Received: by mail-oi1-f180.google.com with SMTP id r85so2906823oie.7
 for <55045 <at> debbugs.gnu.org>; Wed, 20 Apr 2022 10:53:18 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=gekOsquYeG+Lbnr+IO+Xwn62yBM6TJgBTmG93UF7HQQ=;
 b=endNoImhiz9Zw3c8faop+Chnib+c9erN9jfSGTrSMkQ+edW6tzeJYVWm8B8uT/nhP5
 kwLFVWNv5VajHkYbb4eZuwfGsP+jFuiSfVUJ0jCYe9l/2XR/jkbPoxYlI63YnyrAsnrY
 rqq1o6Suy1evN+YfY3Dqb4Kxv7D/t2Ox8+hzsKD8q8uPBmPmbY202rrBrCk72TkiWoqR
 IPb/O2UX8+o9FKI6G+l4y63sdb+5CrCWM5gyzRUFvKB9tWVtjry2+mOloXjyrhPKpQvj
 I6xbwwGQV6pdyDbwPWROdq91bz+tnfQ2Mt0DOJ7DXhAKwHhTXT0Gr2E0wIg54HvTc+6o
 oiDA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=gekOsquYeG+Lbnr+IO+Xwn62yBM6TJgBTmG93UF7HQQ=;
 b=K8c/8AVLuGIEi/puy9xo5bko0Zbfxq+sSdJzuNi4rObokkldk5syFiI++zmO4my3mx
 9c6pKigc2qwEodOpeg0RjzPYLdOvmW1cu0ML58oYEF++W1Km4hbXZSuz1qLofZfNFSoR
 LfnJTs5Plwu899BevzIFypWBpkWdPLFSKj74+raH08gsNAslyO1XBfAgLnYk/99Gy1pt
 OuO4IBBzTeP2TIa9QnRXyM09yqhGG4lnO0GD8yW/11ypl45iq6lGxb4RZNioWmnQ/UN7
 ITSljZHiffwIVy+8e5j6zu15LbUWVTZMASrgifOWLAYEC33P/JVtOe8aWIuVMkQTfMeh
 1Z+A==
X-Gm-Message-State: AOAM532WxsSd5lNE8U3++HP/DTRtokm1XNTbXAFQGsyFBi+hPzu59fq+
 VMEItMm4jnCeoq/4ML2W9V6IZN4FcOo=
X-Google-Smtp-Source: ABdhPJzxCpVdh3Vmu+ebEisjifwb9o8bN9gH8LpsD+WrAtYizKjE34YGgN3RalAgj+Jmow2RZVKt1g==
X-Received: by 2002:aca:ead4:0:b0:2ec:ba66:12df with SMTP id
 i203-20020acaead4000000b002ecba6612dfmr2468884oih.194.1650477192613; 
 Wed, 20 Apr 2022 10:53:12 -0700 (PDT)
Received: from localhost.localdomain ([2804:7f2:2787:e10d:8125:629f:8cfe:dda8])
 by smtp.gmail.com with ESMTPSA id
 f24-20020a9d5e98000000b006055789d903sm1935519otl.16.2022.04.20.10.53.07
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 20 Apr 2022 10:53:12 -0700 (PDT)
From: Luis Henrique Gomes Higino <luishenriquegh2701@HIDDEN>
To: 55045 <at> debbugs.gnu.org
Subject: [PATCH 2/4] gnu: lua-luv: replace sexps with gexps.
Date: Wed, 20 Apr 2022 14:52:39 -0300
Message-Id: <9840ff3c42bcd4d8b8adcc402e935be3b213163a.1650477097.git.luishenriquegh2701@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <abf92fc750ff1669799ca71ab315c8b6b82f5f83.1650477097.git.luishenriquegh2701@HIDDEN>
References: <abf92fc750ff1669799ca71ab315c8b6b82f5f83.1650477097.git.luishenriquegh2701@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 55045
Cc: Luis Henrique Gomes Higino <luishenriquegh2701@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

* gnu/packages/lua.scm (lua-luv): replace sexps with gexps.
---
 gnu/packages/lua.scm | 34 +++++++++++++++++-----------------
 1 file changed, 17 insertions(+), 17 deletions(-)

diff --git a/gnu/packages/lua.scm b/gnu/packages/lua.scm
index 2f89d42ba5..ba101f0d6c 100644
--- a/gnu/packages/lua.scm
+++ b/gnu/packages/lua.scm
@@ -800,23 +800,23 @@ (define (make-lua-luv name lua)
                 "1yzi4bm845vl84wyv2qw4z1n1v285lgwm681swmp84brfy2s7czp"))))
     (build-system cmake-build-system)
     (arguments
-     `(#:tests? #f                      ; there are none
-       #:configure-flags
-       '("-DWITH_LUA_ENGINE=Lua"
-         "-DWITH_SHARED_LIBUV=On"
-         "-DBUILD_MODULE=Off"
-         "-DBUILD_SHARED_LIBS=On"
-         "-DLUA_BUILD_TYPE=System")
-       #:phases
-       (modify-phases %standard-phases
-         (add-after 'unpack 'copy-lua-compat
-           (lambda* (#:key inputs #:allow-other-keys)
-             (copy-recursively (assoc-ref inputs "lua-compat")
-                               "lua-compat")
-             (setenv "CPATH"
-                     (string-append (getcwd) "/lua-compat/c-api:"
-                                    (or (getenv "CPATH") "")))
-             #t)))))
+     (list #:tests? #f                      ; there are none
+           #:configure-flags
+           #~'("-DWITH_LUA_ENGINE=Lua"
+               "-DWITH_SHARED_LIBUV=On"
+               "-DBUILD_MODULE=Off"
+               "-DBUILD_SHARED_LIBS=On"
+               "-DLUA_BUILD_TYPE=System")
+           #:phases
+           #~(modify-phases %standard-phases
+               (add-after 'unpack 'copy-lua-compat
+                 (lambda* _
+                   (copy-recursively #+(this-package-native-input "lua-compat")
+                                     "lua-compat")
+                   (setenv "CPATH"
+                           (string-append (getcwd) "/lua-compat/c-api:"
+                                          (or (getenv "CPATH") "")))
+                   #t)))))
     (inputs
      (list lua libuv))
     (native-inputs
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55045; Package guix-patches. Full text available.

Message received at 55045 <at> debbugs.gnu.org:


Received: (at 55045) by debbugs.gnu.org; 20 Apr 2022 17:53:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 20 13:53:14 2022
Received: from localhost ([127.0.0.1]:47392 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nhEVt-000717-KY
	for submit <at> debbugs.gnu.org; Wed, 20 Apr 2022 13:53:13 -0400
Received: from mail-oo1-f48.google.com ([209.85.161.48]:45946)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luishenriquegh2701@HIDDEN>) id 1nhEVr-00070r-Qv
 for 55045 <at> debbugs.gnu.org; Wed, 20 Apr 2022 13:53:12 -0400
Received: by mail-oo1-f48.google.com with SMTP id
 i21-20020a4ad395000000b0033a4c45246dso413948oos.12
 for <55045 <at> debbugs.gnu.org>; Wed, 20 Apr 2022 10:53:11 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=SC4ksO4HgQDZFFEBNpw9xxMv9l3iGQDfhdDJ/KKL77E=;
 b=HBBFjJ8v5Q57H9XenOtpyaVosPe6VfopiljeArFHukDARFAX0r/XcZY2w2RYS4aYYW
 GOnFjiKzDCyiJU2t4iLBf6cRppasmJec6gj0T5CbMzkZn0NKkvL0ZsXdyRTfSlVr29TM
 FjCz7uLk/oSgh4Is3vqdfS3gijouj9BZeXtxSYDZ5TALC/bBzSHK9n8bO0yKrSfoMSI0
 3eS+sM7NiD40LRVG/qX+Jxu865HBL/u5QkcMDNnFiUmygGtqXS1MkXBMWHf0HQt1PtEj
 dLtIuwdOAejoVvIaLuHIuana6zzwbJOKuuLwo79sMxj7/P96O0B9dy/yMOjmXzIh5t07
 bWSg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=SC4ksO4HgQDZFFEBNpw9xxMv9l3iGQDfhdDJ/KKL77E=;
 b=EchwFSsVqDh/bEFosLJnQAVI8AVY/ubOveJV1U4XwNS9tbYrP/PZ/5yOwc3H6n0Cdh
 0uIF7uCtwuj5rGh63pwe9ZD3qVy+fi80mOWoq7lKSYWAER/Wy254LqJ/fLdqZyhX98Zv
 f4CFUjycdm4N8CcrAbxYrUAc3l1RNXGz7k8ICdMPtpfNWFPOV6DN19OBciJsA94PEbdQ
 PiU/95GI7Ojmp8ub5MsRYDf5C5pYv7DxYNAgfftBagV58CltiTZ82kALxtbw6EDFoXC7
 48GXlILXt1DBwsHEfyb6yIct094F8K7LQtYwce2Y/CYc926AShRdnBJLKpCPt4NIqsxK
 x3EQ==
X-Gm-Message-State: AOAM530CTlTzC2+/kxvtdMaKqmQWSxaNn0Y/BJBsB6FLaNnvYuHAIMOk
 Ehn70gGb/O0uHOWClmhMzS/1Fth75/k=
X-Google-Smtp-Source: ABdhPJzoVItkJ0rsHunxpFNTBitHiwLfPO2v1eSGY/DqR6ZMby7Et3criMg4NC/4Z9iOfcECJAuuAw==
X-Received: by 2002:a4a:e217:0:b0:329:b0d:c32d with SMTP id
 b23-20020a4ae217000000b003290b0dc32dmr7574592oot.34.1650477185758; 
 Wed, 20 Apr 2022 10:53:05 -0700 (PDT)
Received: from localhost.localdomain ([2804:7f2:2787:e10d:8125:629f:8cfe:dda8])
 by smtp.gmail.com with ESMTPSA id
 f24-20020a9d5e98000000b006055789d903sm1935519otl.16.2022.04.20.10.53.01
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 20 Apr 2022 10:53:05 -0700 (PDT)
From: Luis Henrique Gomes Higino <luishenriquegh2701@HIDDEN>
To: 55045 <at> debbugs.gnu.org
Subject: [PATCH 1/4] gnu: lua-luv: Update to 1.43.0-0.
Date: Wed, 20 Apr 2022 14:52:38 -0300
Message-Id: <abf92fc750ff1669799ca71ab315c8b6b82f5f83.1650477097.git.luishenriquegh2701@HIDDEN>
X-Mailer: git-send-email 2.34.0
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 55045
Cc: Luis Henrique Gomes Higino <luishenriquegh2701@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

* gnu/packages/lua.scm (lua-luv): Update to 1.43.0-0.

Update lua-compat-5.3.
---
 gnu/packages/lua.scm | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

diff --git a/gnu/packages/lua.scm b/gnu/packages/lua.scm
index ee4b7727e0..2f89d42ba5 100644
--- a/gnu/packages/lua.scm
+++ b/gnu/packages/lua.scm
@@ -16,6 +16,7 @@
 ;;; Copyright © 2021 Vinícius dos Santos Oliveira <vini.ipsmaker@HIDDEN>
 ;;; Copyright © 2021 Greg Hogan <code@HIDDEN>
 ;;; Copyright © 2022 Brandon Lucas <br@HIDDEN>
+;;; Copyright © 2022 Luis Henrique Gomes Higino <luishenriquegh2701@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -785,7 +786,7 @@ (define-public lua5.2-lpeg
 (define (make-lua-luv name lua)
   (package
     (name name)
-    (version "1.32.0-0")
+    (version "1.43.0-0")
     (source (origin
               ;; The release tarball includes the sources of libuv but does
               ;; not include the pkg-config files.
@@ -796,7 +797,7 @@ (define (make-lua-luv name lua)
               (file-name (git-file-name name version))
               (sha256
                (base32
-                "0c65c1lhbl0axnyks3910gjs0z0hw7w6jvl07g8kbpnbvfl4qajh"))))
+                "1yzi4bm845vl84wyv2qw4z1n1v285lgwm681swmp84brfy2s7czp"))))
     (build-system cmake-build-system)
     (arguments
      `(#:tests? #f                      ; there are none
@@ -813,7 +814,7 @@ (define (make-lua-luv name lua)
              (copy-recursively (assoc-ref inputs "lua-compat")
                                "lua-compat")
              (setenv "CPATH"
-                     (string-append (getcwd) "/lua-compat:"
+                     (string-append (getcwd) "/lua-compat/c-api:"
                                     (or (getenv "CPATH") "")))
              #t)))))
     (inputs
@@ -824,11 +825,11 @@ (define (make-lua-luv name lua)
            (method git-fetch)
            (uri (git-reference
                  (url "https://github.com/keplerproject/lua-compat-5.3")
-                 (commit "daebe77a2f498817713df37f0bb316db1d82222f")))
+                 (commit "v0.10")))
            (file-name "lua-compat-5.3-checkout")
            (sha256
             (base32
-             "02a14nvn7aggg1yikj9h3dcf8aqjbxlws1bfvqbpfxv9d5phnrpz"))))))
+             "1caxn228gx48g6kymp9w7kczgxcg0v0cd5ixsx8viybzkd60dcn4"))))))
     (home-page "https://github.com/luvit/luv/")
     (synopsis "Libuv bindings for Lua")
     (description
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55045; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 20 Apr 2022 17:49:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 20 13:49:22 2022
Received: from localhost ([127.0.0.1]:47387 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nhESA-0006uS-42
	for submit <at> debbugs.gnu.org; Wed, 20 Apr 2022 13:49:22 -0400
Received: from lists.gnu.org ([209.51.188.17]:53726)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luishenriquegh2701@HIDDEN>) id 1nhES8-0006uL-Ee
 for submit <at> debbugs.gnu.org; Wed, 20 Apr 2022 13:49:20 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:48468)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <luishenriquegh2701@HIDDEN>)
 id 1nhES8-0006Cx-78
 for guix-patches@HIDDEN; Wed, 20 Apr 2022 13:49:20 -0400
Received: from mail-oa1-x34.google.com ([2001:4860:4864:20::34]:40622)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <luishenriquegh2701@HIDDEN>)
 id 1nhES6-0006aR-Kr
 for guix-patches@HIDDEN; Wed, 20 Apr 2022 13:49:19 -0400
Received: by mail-oa1-x34.google.com with SMTP id
 586e51a60fabf-d6e29fb3d7so2737297fac.7
 for <guix-patches@HIDDEN>; Wed, 20 Apr 2022 10:49:17 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=user-agent:from:to:subject:date:message-id:mime-version;
 bh=a8ZLtc6z5DOLJT/Kvn49wbDevjJsSDKuRWT1v10L+Sk=;
 b=mL4tG6Wa1x52QETHceUASUKWdKEcBWiS3x+qZXx0NpeNXORs7L9m/P2BoZBL10qC4+
 CWhqwKHgQXcKe3AFHeulS3xrhWLCTrCP4AAqzwNdbBVmGrDEbet93J5/1YymCSxj7mHF
 JmdWg+QLjoyorgmdRDTCe+x2CCwvArbuyVCeGP1XR2hF2B+3OBEy7Byb3wT+Z3+0DbvM
 /myU6SyM2REI4OD6jUbTy6Wor+W9ZtkZb9jfwFWbvDQzSMqlPJ58GWUfsQhvHavLCHYb
 PBNja0LW9obspEduLiG2AiVDHWzZjy8e7PWYs0apI/Rb4DuixQ33dfZBBtAmh02t+TS5
 PN/w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:user-agent:from:to:subject:date:message-id
 :mime-version;
 bh=a8ZLtc6z5DOLJT/Kvn49wbDevjJsSDKuRWT1v10L+Sk=;
 b=6n0MbH6zBEXN2oalymDQAEkWCxKCnsoOWaNB3N0B8VMa0G4YaqQdjG/PRx4tZbPgAE
 98QZ+MI94PMRx6jZgu1TPJXEmf2Mu+vVi/g+J9tVN8LlvTHqhLTPCQPZ//SpXs9F1O4B
 uwstDqHcop2XRfv4SI0LtLpfw0IY/TXFaInvcP5eGezNNOeGbN2WDaD0waiJmvRd4Aza
 2YFTsPlote2B0qrqTsrnjFrR2mihtQwGdv1zMKA0K3NF+/5QLOVWRuWyENblDpO4VhPM
 Yq1j3vQJmyZ1G7agAL+0VJZ5vvcukqA8q31i+MidDv673axnmpShMD2cAdn3DHOwFjwJ
 n+GA==
X-Gm-Message-State: AOAM531Vjr7PZn39lTFD3fPHwBjgQIexJnejJTf2yuMSBIjLNGFKh9zv
 v9jihKacl5tqM8vIut8LGyAsoWLwTJw=
X-Google-Smtp-Source: ABdhPJwQsxsu1k3s3pj8AK4nEibvEsc7QwazqDi4y/Q/g4UVKp+oE5rIn+eY98BFUU3dQayCHoLHyA==
X-Received: by 2002:a05:6870:e991:b0:de:e86c:99be with SMTP id
 r17-20020a056870e99100b000dee86c99bemr2091957oao.278.1650476956573; 
 Wed, 20 Apr 2022 10:49:16 -0700 (PDT)
Received: from LenovoGuix ([2804:7f2:2787:e10d:8125:629f:8cfe:dda8])
 by smtp.gmail.com with ESMTPSA id
 v26-20020a05683011da00b0060554e2fd07sm2121903otq.58.2022.04.20.10.49.14
 for <guix-patches@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 20 Apr 2022 10:49:16 -0700 (PDT)
User-agent: mu4e 1.6.10; emacs 27.2
From: Luis Henrique Gomes Higino <luishenriquegh2701@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] update neovim to 0.7.0
Date: Wed, 20 Apr 2022 14:46:10 -0300
Message-ID: <87mtgf63xj.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed
Received-SPF: pass client-ip=2001:4860:4864:20::34;
 envelope-from=luishenriquegh2701@HIDDEN; helo=mail-oa1-x34.google.com
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 FREEMAIL_ENVFROM_END_DIGIT=0.25, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)


Hi guix, this patch series updates lua-luv to 1.43.0-0 and neovim 
to 0.7.0. Besides that, I took the opportunity to convert their 
package definitions to Guix's new code style.

Regards,
-- 
Luis H. Higino




Acknowledgement sent to Luis Henrique Gomes Higino <luishenriquegh2701@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#55045; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 18 May 2022 18:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.